gtkmm: Gtk::Entry Class Reference

gtkmm 3.24.6

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::Entry Class Reference
Widgets

A single line text entry field. More...

`#include <gtkmm/entry.h>`

Inheritance diagram for Gtk::Entry:
[legend]

## Public Member Functions
| Entry (Entry && src) noexcept
Entry & | operator= (Entry && src) noexcept
| Entry (const Entry &)=delete
Entry & | operator= (const Entry &)=delete
| ~Entry () noexcept override
GtkEntry * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkEntry * | gobj () const
| Provides access to the underlying C GObject. More...
| Entry ()
| Entry (const Glib::RefPtr< EntryBuffer > & buffer)
Glib::RefPtr< EntryBuffer > | get_buffer ()
| Get the Gtk::EntryBuffer object which holds the text for this widget. More...
Glib::RefPtr< const EntryBuffer > | get_buffer () const
| Get the Gtk::EntryBuffer object which holds the text for this widget. More...
Gdk::Rectangle | get_text_area () const
| Returns the area where the entry's text is drawn. More...
void | set_buffer (const Glib::RefPtr< EntryBuffer > & buffer)
| Set the Gtk::EntryBuffer object which holds the text for this widget. More...
void | set_visibility (bool visible=true)
| Sets whether the contents of the entry are visible or not. More...
bool | get_visibility () const
| Retrieves whether the text in entry is visible. More...
void | set_invisible_char (gunichar ch)
| Sets the character to use in place of the actual text when set_visibility() has been called to set text visibility to `false`. More...
void | unset_invisible_char ()
| Unsets the invisible char previously set with set_invisible_char(). More...
gunichar | get_invisible_char () const
| Retrieves the character displayed in place of the real characters for entries with visibility set to false. More...
void | set_has_frame (bool setting=true)
| Sets whether the entry has a beveled frame around it. More...
bool | get_has_frame () const
| Gets the value set by set_has_frame(). More...
void | set_inner_border (const Border & border)
| Sets entry’s inner-border property to border, or clears it if `nullptr` is passed. More...
Border | get_inner_border () const
| This function returns the entry’s Gtk::Entry::property_inner_border() property. More...
void | set_overwrite_mode (bool overwrite=true)
| Sets whether the text is overwritten when typing in the Gtk::Entry. More...
bool | get_overwrite_mode () const
| Gets the value set by set_overwrite_mode(). More...
void | set_max_length (int max)
| Sets the maximum allowed length of the contents of the widget. More...
int | get_max_length () const
| Retrieves the maximum allowed length of the text in entry. More...
guint16 | get_text_length () const
| Retrieves the current length of the text in entry. More...
void | set_activates_default (bool setting=true)
| If setting is `true`, pressing Enter in the entry will activate the default widget for the window containing the entry. More...
gboolean | get_activates_default () const
| Retrieves the value set by set_activates_default(). More...
void | set_width_chars (int n_chars)
| Changes the size request of the entry to be about the right size for n_chars characters. More...
int | get_width_chars () const
| Gets the value set by set_width_chars(). More...
void | set_max_width_chars (int n_chars)
| Sets the desired maximum width in characters of entry. More...
int | get_max_width_chars () const
| Retrieves the desired maximum width of entry, in characters. More...
void | set_text (const Glib::ustring & text)
| Sets the text in the widget to the given value, replacing the current contents. More...
Glib::ustring | get_text () const
| Retrieves the contents of the entry widget. More...
Glib::RefPtr< Pango::Layout > | get_layout ()
| Gets the Pango::Layout used to display the entry. More...
Glib::RefPtr< const Pango::Layout > | get_layout () const
| Gets the Pango::Layout used to display the entry. More...
void | get_layout_offsets (int & x, int & y)
| Obtains the position of the Pango::Layout used to render text in the entry, in widget coordinates. More...
int | layout_index_to_text_index (int layout_index) const
| Converts from a position in the entry’s Pango::Layout (returned by get_layout()) to a position in the entry contents (returned by get_text()). More...
int | text_index_to_layout_index (int text_index) const
| Converts from a position in the entry contents (returned by get_text()) to a position in the entry’s Pango::Layout (returned by get_layout(), with text retrieved via pango_layout_get_text()). More...
void | set_cursor_hadjustment (const Glib::RefPtr< Adjustment > & adjustment)
| Hooks up an adjustment to the cursor position in an entry, so that when the cursor is moved, the adjustment is scrolled to show that position. More...
Glib::RefPtr< Adjustment > | get_cursor_hadjustment ()
| Retrieves the horizontal cursor adjustment for the entry. More...
Glib::RefPtr< const Adjustment > | get_cursor_hadjustment () const
| Retrieves the horizontal cursor adjustment for the entry. More...
void | set_alignment (float xalign)
| Sets the alignment for the contents of the entry. More...
void | set_alignment (Align xalign)
| Sets the alignment for the contents of the entry. More...
float | get_alignment () const
| Gets the value set by set_alignment(). More...
void | set_completion (const Glib::RefPtr< EntryCompletion > & completion)
| Sets completion to be the auxiliary completion object to use with entry. More...
Glib::RefPtr< EntryCompletion > | get_completion ()
| Returns the auxiliary completion object currently in use by entry. More...
Glib::RefPtr< const EntryCompletion > | get_completion () const
| Returns the auxiliary completion object currently in use by entry. More...
void | set_progress_fraction (double fraction)
| Causes the entry’s progress indicator to “fill in” the given fraction of the bar. More...
double | get_progress_fraction () const
| Returns the current fraction of the task that’s been completed. More...
void | set_progress_pulse_step (double fraction)
| Sets the fraction of total entry width to move the progress bouncing block for each call to progress_pulse(). More...
double | get_progress_pulse_step ()
| Retrieves the pulse step set with set_progress_pulse_step(). More...
void | progress_pulse ()
| Indicates that some progress is made, but you don’t know how much. More...
Glib::ustring | get_placeholder_text () const
| Retrieves the text that will be displayed when entry is empty and unfocused. More...
void | set_placeholder_text (const Glib::ustring & text)
| Sets text to be displayed in entry when it is empty and unfocused. More...
void | set_icon_from_pixbuf (const Glib::RefPtr< Gdk::Pixbuf > & pixbuf, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets the icon shown in the specified position using a pixbuf. More...
void | set_icon_from_stock (const StockID & stock_id, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets the icon shown in the entry at the specified position from a stock image. More...
void | set_icon_from_icon_name (const Glib::ustring & icon_name, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets the icon shown in the entry at the specified position from the current icon theme. More...
void | set_icon_from_gicon (const Glib::RefPtr< Gio::Icon > & icon, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets the icon shown in the entry at the specified position from the current icon theme. More...
void | unset_icon (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Do not show any icon in the specified position. More...
ImageType | get_icon_storage_type (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Gets the type of representation being used by the icon to store image data. More...
Glib::RefPtr< Gdk::Pixbuf > | get_icon_pixbuf (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Retrieves the image used for the icon. More...
Glib::RefPtr< const Gdk::Pixbuf > | get_icon_pixbuf (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Retrieves the image used for the icon. More...
StockID | get_icon_stock (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Retrieves the stock id used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by pixbuf, icon name or gicon). More...
Glib::ustring | get_icon_name (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Retrieves the icon name used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by pixbuf, stock or gicon). More...
Glib::RefPtr< Gio::Icon > | get_icon_gicon (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Retrieves the Gio::Icon used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by stock, pixbuf, or icon name). More...
Glib::RefPtr< const Gio::Icon > | get_icon_gicon (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Retrieves the Gio::Icon used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by stock, pixbuf, or icon name). More...
void | set_icon_activatable (bool activatable=true, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets whether the icon is activatable. More...
bool | get_icon_activatable (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Returns whether the icon is activatable. More...
void | set_icon_sensitive (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY, bool sensitive=true)
| Sets the sensitivity for the specified icon. More...
bool | get_icon_sensitive (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Returns whether the icon appears sensitive or insensitive. More...
int | get_icon_at_pos (int x, int y) const
| Finds the icon at the given position and return its index. More...
void | set_icon_tooltip_text (const Glib::ustring & tooltip, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets tooltip as the contents of the tooltip for the icon at the specified position. More...
Glib::ustring | get_icon_tooltip_text (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Gets the contents of the tooltip on the icon at the specified position in entry. More...
void | set_icon_tooltip_markup (const Glib::ustring & tooltip, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets tooltip as the contents of the tooltip for the icon at the specified position. More...
Glib::ustring | get_icon_tooltip_markup (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Gets the contents of the tooltip on the icon at the specified position in entry. More...
void | set_icon_drag_source (const Glib::RefPtr< TargetList > & target_list, Gdk::DragAction actions=Gdk::ACTION_COPY, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets up the icon at the given position so that GTK+ will start a drag operation when the user clicks and drags the icon. More...
Gdk::Rectangle | get_icon_area (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Returns the area where entry's icon at icon_pos is drawn. More...
int | get_current_icon_drag_source ()
| Returns the index of the icon which is the source of the current DND operation, or -1. More...
bool | im_context_filter_keypress (GdkEventKey * gdk_event)
| Allow the Gtk::Entry input method to internally handle key press and release events. More...
void | reset_im_context ()
| Reset the input method context of the entry if needed. More...
void | set_input_purpose (InputPurpose purpose)
| Sets the Gtk::Entry::property_input_purpose() property which can be used by on-screen keyboards and other input methods to adjust their behaviour. More...
InputPurpose | get_input_purpose () const
| Gets the value of the Gtk::Entry::property_input_purpose() property. More...
void | set_input_hints (InputHints hints)
| Sets the Gtk::Entry::property_input_hints() property, which allows input methods to fine-tune their behaviour. More...
InputHints | get_input_hints () const
| Gets the value of the Gtk::Entry::property_input_hints() property. More...
void | set_attributes (Pango::AttrList & attrs)
| Sets a Pango::AttrList; the attributes in the list are applied to the entry text. More...
Pango::AttrList | get_attributes () const
| Gets the attribute list that was set on the entry using set_attributes(), if any. More...
void | set_tabs (const Pango::TabArray & tabs)
| Sets a Pango::TabArray; the tabstops in the array are applied to the entry text. More...
Pango::TabArray | get_tabs () const
| Gets the tabstops that were set on the entry using set_tabs(), if any. More...
void | grab_focus_without_selecting ()
| Causes entry to have keyboard focus. More...
Glib::SignalProxy< void, Menu * > | signal_populate_popup ()
Glib::SignalProxy< void, const Glib::ustring & > | signal_insert_at_cursor ()
Glib::SignalProxy< void > | signal_activate ()
Glib::SignalProxy< void, EntryIconPosition, const GdkEventButton * > | signal_icon_release ()
Glib::SignalProxy< void, EntryIconPosition, const GdkEventButton * > | signal_icon_press ()
Glib::PropertyProxy< Glib::RefPtr< EntryBuffer > > | property_buffer ()
| Text buffer object which actually stores entry text. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< EntryBuffer > > | property_buffer () const
| Text buffer object which actually stores entry text. More...
Glib::PropertyProxy_ReadOnly< int > | property_cursor_position () const
| The current position of the insertion cursor in chars. More...
Glib::PropertyProxy_ReadOnly< int > | property_selection_bound () const
| The position of the opposite end of the selection from the cursor in chars. More...
Glib::PropertyProxy< bool > | property_editable ()
| Whether the entry contents can be edited. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
| Whether the entry contents can be edited. More...
Glib::PropertyProxy< int > | property_max_length ()
| Maximum number of characters for this entry. More...
Glib::PropertyProxy_ReadOnly< int > | property_max_length () const
| Maximum number of characters for this entry. More...
Glib::PropertyProxy< bool > | property_visibility ()
| `false` displays the 'invisible char' instead of the actual text (password mode). More...
Glib::PropertyProxy_ReadOnly< bool > | property_visibility () const
| `false` displays the 'invisible char' instead of the actual text (password mode). More...
Glib::PropertyProxy< bool > | property_has_frame ()
| `false` removes outside bevel from entry. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_frame () const
| `false` removes outside bevel from entry. More...
Glib::PropertyProxy< Border > | property_inner_border ()
| Sets the text area's border between the text and the frame. More...
Glib::PropertyProxy_ReadOnly< Border > | property_inner_border () const
| Sets the text area's border between the text and the frame. More...
Glib::PropertyProxy< gunichar > | property_invisible_char ()
| The invisible character is used when masking entry contents (in \"password mode\\")"). More...
Glib::PropertyProxy_ReadOnly< gunichar > | property_invisible_char () const
| The invisible character is used when masking entry contents (in \"password mode\\")"). More...
Glib::PropertyProxy< bool > | property_invisible_char_set ()
| Whether the invisible char has been set for the Gtk::Entry. More...
Glib::PropertyProxy_ReadOnly< bool > | property_invisible_char_set () const
| Whether the invisible char has been set for the Gtk::Entry. More...
Glib::PropertyProxy< bool > | property_activates_default ()
| Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed. More...
Glib::PropertyProxy_ReadOnly< bool > | property_activates_default () const
| Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed. More...
Glib::PropertyProxy< int > | property_width_chars ()
| Number of characters to leave space for in the entry. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_chars () const
| Number of characters to leave space for in the entry. More...
Glib::PropertyProxy< int > | property_max_width_chars ()
| The desired maximum width of the entry, in characters. More...
Glib::PropertyProxy_ReadOnly< int > | property_max_width_chars () const
| The desired maximum width of the entry, in characters. More...
Glib::PropertyProxy_ReadOnly< int > | property_scroll_offset () const
| Number of pixels of the entry scrolled off the screen to the left. More...
Glib::PropertyProxy< ShadowType > | property_shadow_type ()
| Which kind of shadow to draw around the entry when Gtk::Entry::property_has_frame() is set to `true`. More...
Glib::PropertyProxy_ReadOnly< ShadowType > | property_shadow_type () const
| Which kind of shadow to draw around the entry when Gtk::Entry::property_has_frame() is set to `true`. More...
Glib::PropertyProxy< Glib::ustring > | property_text ()
| The contents of the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| The contents of the entry. More...
Glib::PropertyProxy< float > | property_xalign ()
| The horizontal alignment, from 0 (left) to 1 (right). More...
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| The horizontal alignment, from 0 (left) to 1 (right). More...
Glib::PropertyProxy< bool > | property_truncate_multiline ()
| When `true`, pasted multi-line text is truncated to the first line. More...
Glib::PropertyProxy_ReadOnly< bool > | property_truncate_multiline () const
| When `true`, pasted multi-line text is truncated to the first line. More...
Glib::PropertyProxy< bool > | property_overwrite_mode ()
| If text is overwritten when typing in the Gtk::Entry. More...
Glib::PropertyProxy_ReadOnly< bool > | property_overwrite_mode () const
| If text is overwritten when typing in the Gtk::Entry. More...
Glib::PropertyProxy_ReadOnly< guint > | property_text_length () const
| The length of the text in the Gtk::Entry. More...
Glib::PropertyProxy< bool > | property_caps_lock_warning ()
| Whether password entries will show a warning when Caps Lock is on. More...
Glib::PropertyProxy_ReadOnly< bool > | property_caps_lock_warning () const
| Whether password entries will show a warning when Caps Lock is on. More...
Glib::PropertyProxy< double > | property_progress_fraction ()
| The current fraction of the task that's been completed. More...
Glib::PropertyProxy_ReadOnly< double > | property_progress_fraction () const
| The current fraction of the task that's been completed. More...
Glib::PropertyProxy< double > | property_progress_pulse_step ()
| The fraction of total entry width to move the progress bouncing block for each call to Gtk::Entry::progress_pulse(). More...
Glib::PropertyProxy_ReadOnly< double > | property_progress_pulse_step () const
| The fraction of total entry width to move the progress bouncing block for each call to Gtk::Entry::progress_pulse(). More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_primary_icon_pixbuf ()
| A pixbuf to use as the primary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_primary_icon_pixbuf () const
| A pixbuf to use as the primary icon for the entry. More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_secondary_icon_pixbuf ()
| An pixbuf to use as the secondary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_secondary_icon_pixbuf () const
| An pixbuf to use as the secondary icon for the entry. More...
Glib::PropertyProxy< StockID > | property_primary_icon_stock ()
| The stock id to use for the primary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< StockID > | property_primary_icon_stock () const
| The stock id to use for the primary icon for the entry. More...
Glib::PropertyProxy< StockID > | property_secondary_icon_stock ()
| The stock id to use for the secondary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< StockID > | property_secondary_icon_stock () const
| The stock id to use for the secondary icon for the entry. More...
Glib::PropertyProxy< Glib::ustring > | property_primary_icon_name ()
| The icon name to use for the primary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_primary_icon_name () const
| The icon name to use for the primary icon for the entry. More...
Glib::PropertyProxy< Glib::ustring > | property_secondary_icon_name ()
| The icon name to use for the secondary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_secondary_icon_name () const
| The icon name to use for the secondary icon for the entry. More...
Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > | property_primary_icon_gicon ()
| The Gio::Icon to use for the primary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > | property_primary_icon_gicon () const
| The Gio::Icon to use for the primary icon for the entry. More...
Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > | property_secondary_icon_gicon ()
| The Gio::Icon to use for the secondary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > | property_secondary_icon_gicon () const
| The Gio::Icon to use for the secondary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< ImageType > | property_primary_icon_storage_type () const
| The representation which is used for the primary icon of the entry. More...
Glib::PropertyProxy_ReadOnly< ImageType > | property_secondary_icon_storage_type () const
| The representation which is used for the secondary icon of the entry. More...
Glib::PropertyProxy< bool > | property_primary_icon_activatable ()
| Whether the primary icon is activatable. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_activatable () const
| Whether the primary icon is activatable. More...
Glib::PropertyProxy< bool > | property_secondary_icon_activatable ()
| Whether the secondary icon is activatable. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_activatable () const
| Whether the secondary icon is activatable. More...
Glib::PropertyProxy< bool > | property_primary_icon_sensitive ()
| Whether the primary icon is sensitive. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_sensitive () const
| Whether the primary icon is sensitive. More...
Glib::PropertyProxy< bool > | property_secondary_icon_sensitive ()
| Whether the secondary icon is sensitive. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_sensitive () const
| Whether the secondary icon is sensitive. More...
Glib::PropertyProxy< bool > | property_primary_icon_tooltip_text ()
| The contents of the tooltip on the primary icon. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_tooltip_text () const
| The contents of the tooltip on the primary icon. More...
Glib::PropertyProxy< bool > | property_secondary_icon_tooltip_text ()
| The contents of the tooltip on the secondary icon. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_tooltip_text () const
| The contents of the tooltip on the secondary icon. More...
Glib::PropertyProxy< bool > | property_primary_icon_tooltip_markup ()
| The contents of the tooltip on the primary icon, which is marked up with the [Pango text markup language][PangoMarkupFormat]. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_tooltip_markup () const
| The contents of the tooltip on the primary icon, which is marked up with the [Pango text markup language][PangoMarkupFormat]. More...
Glib::PropertyProxy< bool > | property_secondary_icon_tooltip_markup ()
| The contents of the tooltip on the secondary icon, which is marked up with the [Pango text markup language][PangoMarkupFormat]. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_tooltip_markup () const
| The contents of the tooltip on the secondary icon, which is marked up with the [Pango text markup language][PangoMarkupFormat]. More...
Glib::PropertyProxy< Glib::ustring > | property_im_module ()
| Which IM (input method) module should be used for this entry. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_im_module () const
| Which IM (input method) module should be used for this entry. More...
Glib::PropertyProxy< Glib::ustring > | property_placeholder_text ()
| The text that will be displayed in the Gtk::Entry when it is empty and unfocused. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_placeholder_text () const
| The text that will be displayed in the Gtk::Entry when it is empty and unfocused. More...
Glib::PropertyProxy< Glib::RefPtr< EntryCompletion > > | property_completion ()
| The auxiliary completion object to use with the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< EntryCompletion > > | property_completion () const
| The auxiliary completion object to use with the entry. More...
Glib::PropertyProxy< InputPurpose > | property_input_purpose ()
| The purpose of this text field. More...
Glib::PropertyProxy_ReadOnly< InputPurpose > | property_input_purpose () const
| The purpose of this text field. More...
Glib::PropertyProxy< InputHints > | property_input_hints ()
| Additional hints (beyond Gtk::Entry::property_input_purpose()) that allow input methods to fine-tune their behaviour. More...
Glib::PropertyProxy_ReadOnly< InputHints > | property_input_hints () const
| Additional hints (beyond Gtk::Entry::property_input_purpose()) that allow input methods to fine-tune their behaviour. More...
Glib::PropertyProxy< Pango::AttrList > | property_attributes ()
| A list of Pango attributes to apply to the text of the entry. More...
Glib::PropertyProxy_ReadOnly< Pango::AttrList > | property_attributes () const
| A list of Pango attributes to apply to the text of the entry. More...
Glib::PropertyProxy< bool > | property_populate_all ()
| If :populate-all is `true`, the Gtk::Entry::signal_populate_popup() signal is also emitted for touch popups. More...
Glib::PropertyProxy_ReadOnly< bool > | property_populate_all () const
| If :populate-all is `true`, the Gtk::Entry::signal_populate_popup() signal is also emitted for touch popups. More...
Glib::PropertyProxy< Pango::TabArray > | property_tabs ()
| A list of tabstop locations to apply to the text of the entry. More...
Glib::PropertyProxy_ReadOnly< Pango::TabArray > | property_tabs () const
| A list of tabstop locations to apply to the text of the entry. More...
Public Member Functions inherited from Gtk::Widget
| Widget (Widget && src) noexcept
Widget & | operator= (Widget && src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
| Destroys the widget. More...
GtkWidget * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkWidget * | gobj () const
| Provides access to the underlying C GObject. More...
void | show ()
| Flags a widget to be displayed. More...
void | show_now ()
| Shows a widget. More...
void | hide ()
| Reverses the effects of show(), causing the widget to be hidden (invisible to the user). More...
void | show_all ()
| Recursively shows a widget, and any child widgets (if the widget is a container). More...
void | queue_draw ()
| Equivalent to calling queue_draw_area() for the entire area of a widget. More...
void | queue_draw_area (int x, int y, int width, int height)
| Convenience function that calls queue_draw_region() on the region created from the given coordinates. More...
void | queue_draw_region (const ::Cairo::RefPtr< const ::Cairo::Region > & region)
| Invalidates the area of widget defined by region by calling gdk_window_invalidate_region() on the widget’s window and all its child windows. More...
void | queue_resize ()
| This function is only for use in widget implementations. More...
void | queue_allocate ()
| This function is only for use in widget implementations. More...
void | size_allocate (const Allocation & allocation)
| This function is only used by Gtk::Container subclasses, to assign a size and position to their child widgets. More...
void | size_allocate (const Allocation & allocation, int baseline)
| This function is only used by Gtk::Container subclasses, to assign a size, position and (optionally) baseline to their child widgets. More...
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout. More...
void | get_preferred_width (int & minimum_width, int & natural_width) const
| Retrieves a widget’s initial minimum and natural width. More...
void | get_preferred_height_for_width (int width, int & minimum_height, int & natural_height) const
| Retrieves a widget’s minimum and natural height if it would be given the specified width. More...
void | get_preferred_height_for_width (int width, int & minimum_height, int & natural_height, int & minimum_baseline, int & natural_baseline) const
| Retrieves a widget’s minimum and natural height and the corresponding baselines if it would be given the specified width, or the default height if width is -1. More...
void | get_preferred_height (int & minimum_height, int & natural_height) const
| Retrieves a widget’s initial minimum and natural height. More...
void | get_preferred_width_for_height (int height, int & minimum_width, int & natural_width) const
| Retrieves a widget’s minimum and natural width if it would be given the specified height. More...
void | get_preferred_size (Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management. More...
void | add_accelerator (const Glib::ustring & accel_signal, const Glib::RefPtr< AccelGroup > & accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
| Installs an accelerator for this widget in accel_group that causes accel_signal to be emitted if the accelerator is activated. More...
bool | remove_accelerator (const Glib::RefPtr< AccelGroup > & accel_group, guint accel_key, Gdk::ModifierType accel_mods)
| Removes an accelerator from widget, previously installed with add_accelerator(). More...
void | set_accel_path (const Glib::ustring & accel_path, const Glib::RefPtr< AccelGroup > & accel_group)
| Given an accelerator group, accel_group, and an accelerator path, accel_path, sets up an accelerator in accel_group so whenever the key binding that is defined for accel_path is pressed, widget will be activated. More...
bool | mnemonic_activate (bool group_cycling)
| Emits the Gtk::Widget::signal_mnemonic_activate() signal. More...
bool | event (GdkEvent * gdk_event)
| Rarely-used function. More...
int | send_expose (GdkEvent * gdk_event)
| Very rarely-used function. More...
bool | send_focus_change (GdkEvent * gdk_event)
| Sends the focus change gdk_event to widget. More...
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them. More...
void | reparent (Widget & new_parent)
| Moves a widget from one Gtk::Container to another, handling reference count issues to avoid destroying the widget. More...
bool | intersect (const Gdk::Rectangle & area) const
bool | intersect (const Gdk::Rectangle & area, Gdk::Rectangle & intersection) const
| Computes the intersection of a widget’s area and area, storing the intersection in intersection, and returns `true` if there was an intersection. More...
::Cairo::RefPtr< ::Cairo::Region > | region_intersect (const ::Cairo::RefPtr< ::Cairo::Region > & region) const
| Computes the intersection of a widget’s area and region, returning the intersection. More...
void | freeze_child_notify ()
| Stops emission of Gtk::Widget::signal_child_notify() signals on widget. More...
void | child_notify (const Glib::ustring & child_property)
| Emits a Gtk::Widget::signal_child_notify() signal for the [child property][child-properties] child_property on widget. More...
void | thaw_child_notify ()
| Reverts the effect of a previous call to freeze_child_notify(). More...
void | set_can_focus (bool can_focus=true)
| Specifies whether widget can own the input focus. More...
bool | get_can_focus () const
| Determines whether widget can own the input focus. More...
bool | has_focus () const
| Determines if the widget has the global input focus. More...
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel. More...
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus. More...
void | grab_focus ()
| Causes widget to have the keyboard focus for the Gtk::Window it's inside. More...
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse. More...
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse. More...
void | set_can_default (bool can_default=true)
| Specifies whether widget can be a default widget. More...
bool | get_can_default () const
| Determines whether widget can be a default widget. More...
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel. More...
void | grab_default ()
| Causes widget to become the default widget. More...
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
bool | get_receives_default () const
| Determines whether widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
bool | has_grab () const
| Determines whether the widget is currently grabbing events, so it is the only widget receiving input events (keyboard and mouse). More...
bool | device_is_shadowed (const Glib::RefPtr< const Gdk::Device > & device)
| Returns `true` if device has been shadowed by a GTK+ device grab on another widget, so it would stop sending events to widget. More...
void | add_modal_grab ()
| Block events to everything else than this widget and its children. More...
void | remove_modal_grab ()
| Remove the modal grab of the widget in case it was previously grabbed. More...
void | set_name (const Glib::ustring & name)
| Widgets can be named, which allows you to refer to them from a CSS file. More...
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget. More...
void | set_state (StateType state)
| This function is for use in widget implementations. More...
StateType | get_state () const
| Returns the widget’s state. More...
void | set_state_flags (StateFlags flags, bool clear=true)
| This function is for use in widget implementations. More...
void | unset_state_flags (StateFlags flags)
| This function is for use in widget implementations. More...
StateFlags | get_state_flags () const
| Returns the widget state as a flag set. More...
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget. More...
bool | get_sensitive () const
| Returns the widget’s sensitivity (in the sense of returning the value that has been set using set_sensitive()). More...
bool | is_sensitive () const
| Returns the widget’s effective sensitivity, which means it is sensitive itself and also its parent widget is sensitive. More...
void | set_visible (bool visible=true)
| Sets the visibility state of widget. More...
bool | get_visible () const
| Determines whether the widget is visible. More...
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible. More...
bool | get_has_window () const
| Determines whether widget has a Gdk::Window of its own. More...
bool | get_is_toplevel () const
| Determines whether widget is a toplevel widget. More...
bool | get_is_drawable () const
| Determines whether widget can be drawn to. More...
bool | get_realized () const
| Determines whether widget is realized. More...
bool | get_mapped () const
| Whether the widget is mapped. More...
void | set_app_paintable (bool app_paintable=true)
| Sets whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler. More...
bool | get_app_paintable () const
| Determines whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler. More...
void | set_double_buffered (bool double_buffered=true)
| Widgets are double buffered by default; you can use this function to turn off the buffering. More...
bool | get_double_buffered () const
| Determines whether the widget is double buffered. More...
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
| Sets whether the entire widget is queued for drawing when its size allocation changes. More...
void | set_child_visible (bool visible=true)
| Sets whether widget should be mapped along with its when its parent is mapped and widget has been shown with show(). More...
bool | get_child_visible () const
| Gets the value set with set_child_visible(). More...
Glib::RefPtr< Gdk::Window > | get_window ()
| Returns the widget’s window if it is realized, `nullptr` otherwise. More...
Glib::RefPtr< const Gdk::Window > | get_window () const
| Returns the widget’s window if it is realized, `nullptr` otherwise. More...
void | register_window (const Glib::RefPtr< Gdk::Window > & window)
| Registers a Gdk::Window with the widget and sets it up so that the widget receives events for it. More...
void | unregister_window (const Glib::RefPtr< Gdk::Window > & window)
| Unregisters a Gdk::Window from the widget that was previously set up with register_window(). More...
int | get_allocated_width () const
| Returns the width that has currently been allocated to widget. More...
int | get_allocated_height () const
| Returns the height that has currently been allocated to widget. More...
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to widget. More...
void | get_allocated_size (Allocation & allocation, int & baseline) const
| Retrieves the widget’s allocated size. More...
Allocation | get_allocation () const
| Retrieves the widget's location. More...
void | set_allocation (const Allocation & allocation)
| Sets the widget’s allocation. More...
void | set_clip (const Allocation & clip)
| Sets the widget’s clip. More...
Allocation | get_clip () const
| Retrieves the widget’s clip area. More...
Container * | get_parent ()
| Returns the parent container of widget. More...
const Container * | get_parent () const
| Returns the parent container of widget. More...
Glib::RefPtr< Gdk::Window > | get_parent_window ()
| Gets widget’s parent window, or `nullptr` if it does not have one. More...
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
| Gets widget’s parent window, or `nullptr` if it does not have one. More...
void | set_parent_window (const Glib::RefPtr< const Gdk::Window > & parent_window)
| Sets a non default parent window for widget. More...
bool | child_focus (DirectionType direction)
| This function is used by custom widget implementations; if you're writing an app, you’d use grab_focus() to move the focus to a particular widget, and Gtk::Container::set_focus_chain() to change the focus tab order. More...
bool | keynav_failed (DirectionType direction)
| This function should be called whenever keyboard navigation within a single widget hits a boundary. More...
void | error_bell ()
| Notifies the user about an input-related error on this widget. More...
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget; that is, the widget’s size request will be at least width by height. More...
void | get_size_request (int & width, int & height) const
| Gets the size request that was explicitly set for the widget using set_size_request(). More...
void | set_events (Gdk::EventMask events)
| Sets the event mask (see Gdk::EventMask) for a widget. More...
void | add_events (Gdk::EventMask events)
| Adds the events in the bitfield events to the event mask for widget. More...
void | set_device_events (const Glib::RefPtr< const Gdk::Device > & device, Gdk::EventMask events)
| Sets the device event mask (see Gdk::EventMask) for a widget. More...
void | add_device_events (const Glib::RefPtr< const Gdk::Device > & device, Gdk::EventMask events)
| Adds the device events in the bitfield events to the event mask for widget. More...
void | set_opacity (double opacity)
| Request the widget to be rendered partially transparent, with opacity 0 being fully transparent and 1 fully opaque. More...
double | get_opacity () const
| Fetches the requested opacity for this widget. More...
void | set_device_enabled (const Glib::RefPtr< Gdk::Device > & device, bool enabled=true)
| Enables or disables a Gdk::Device to interact with widget and all its children. More...
bool | get_device_enabled (const Glib::RefPtr< const Gdk::Device > & device) const
| Returns whether device can interact with widget and its children. More...
Container * | get_toplevel ()
| This function returns the topmost widget in the container hierarchy widget is a part of. More...
const Container * | get_toplevel () const
| This function returns the topmost widget in the container hierarchy widget is a part of. More...
Widget * | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type. More...
const Widget * | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type. More...
Glib::RefPtr< Gdk::Visual > | get_visual ()
| Gets the visual that will be used to render widget. More...
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Get the Gdk::Screen from the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Get the Gdk::Screen from the toplevel window associated with this widget. More...
bool | has_screen () const
| Checks whether there is a Gdk::Screen is associated with this widget. More...
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels. More...
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the Gdk::Display for the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the Gdk::Display for the toplevel window associated with this widget. More...
Glib::RefPtr< Gdk::Window > | get_root_window ()
| Get the root window where this widget is located. More...
Glib::RefPtr< const Gdk::Window > | get_root_window () const
| Get the root window where this widget is located. More...
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for this widget. More...
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring & selection)
| Returns the clipboard object for the given selection to be used with widget. More...
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring & selection) const
| Returns the clipboard object for the given selection to be used with widget. More...
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space. More...
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space. More...
bool | get_hexpand_set () const
| Gets whether set_hexpand() has been used to explicitly set the expand flag on this widget. More...
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag (see get_hexpand()) will be used. More...
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space. More...
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space. More...
bool | get_vexpand_set () const
| Gets whether set_vexpand() has been used to explicitly set the expand flag on this widget. More...
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag (see get_vexpand()) will be used. More...
void | queue_compute_expand ()
| Mark widget as needing to recompute its expand flags. More...
bool | compute_expand (Orientation orientation)
| Computes whether a container should give this widget extra space when possible. More...
bool | get_support_multidevice () const
| Returns `true` if widget is multiple pointer aware. More...
void | set_support_multidevice (bool support_multidevice=true)
| Enables or disables multiple pointer awareness. More...
Glib::RefPtr< Atk::Object > | get_accessible ()
| Returns the accessible object that describes the widget to an assistive technology. More...
Glib::RefPtr< const Atk::Object > | get_accessible () const
| Returns the accessible object that describes the widget to an assistive technology. More...
Align | get_halign () const
| Gets the value of the Gtk::Widget::property_halign() property. More...
void | set_halign (Align align)
| Sets the horizontal alignment of widget. More...
Align | get_valign () const
| Gets the value of the Gtk::Widget::property_valign() property. More...
Align | get_valign_with_baseline () const
| Gets the value of the Gtk::Widget::property_valign() property, including Gtk::ALIGN_BASELINE. More...
void | set_valign (Align align)
| Sets the vertical alignment of widget. More...
int | get_margin_left () const
| Gets the value of the Gtk::Widget::property_margin_left() property. More...
void | set_margin_left (int margin)
| Sets the left margin of widget. More...
int | get_margin_right () const
| Gets the value of the Gtk::Widget::property_margin_right() property. More...
void | set_margin_right (int margin)
| Sets the right margin of widget. More...
int | get_margin_start () const
| Gets the value of the Gtk::Widget::property_margin_start() property. More...
void | set_margin_start (int margin)
| Sets the start margin of widget. More...
int | get_margin_end () const
| Gets the value of the Gtk::Widget::property_margin_end() property. More...
void | set_margin_end (int margin)
| Sets the end margin of widget. More...
int | get_margin_top () const
| Gets the value of the Gtk::Widget::property_margin_top() property. More...
void | set_margin_top (int margin)
| Sets the top margin of widget. More...
int | get_margin_bottom () const
| Gets the value of the Gtk::Widget::property_margin_bottom() property. More...
void | set_margin_bottom (int margin)
| Sets the bottom margin of widget. More...
Gdk::EventMask | get_events () const
| Returns the event mask (see Gdk::EventMask) for the widget. More...
Gdk::EventMask | get_device_events (const Glib::RefPtr< const Gdk::Device > & device) const
| Returns the events mask for the widget corresponding to an specific device. More...
void | get_pointer (int & x, int & y) const
| Obtains the location of the mouse pointer in widget coordinates. More...
bool | is_ancestor (Widget & ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers. More...
bool | translate_coordinates (Widget & dest_widget, int src_x, int src_y, int & dest_x, int & dest_y)
| Translate coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations. More...
void | override_color (const Gdk::RGBA & color, StateFlags state=STATE_FLAG_NORMAL)
| Sets the color to use for a widget. More...
void | unset_color (StateFlags state=STATE_FLAG_NORMAL)
| Undoes the effect of previous calls to override_color(). More...
void | override_background_color (const Gdk::RGBA & color, StateFlags state=STATE_FLAG_NORMAL)
| Sets the background color to use for a widget. More...
void | unset_background_color (StateFlags state=STATE_FLAG_NORMAL)
| Undoes the effect of previous calls to override_background_color(). More...
void | override_font (const Pango::FontDescription & font_desc)
| Sets the font to use for a widget. More...
void | unset_font ()
| Undoes the effect of previous calls to override_font(). More...
void | override_symbolic_color (const Glib::ustring & name, const Gdk::RGBA & color)
| Sets a symbolic color for a widget. More...
void | unset_symbolic_color (const Glib::ustring & name)
| Undoes the effect of previous calls to override_symbolic_color(). More...
void | override_cursor (const Gdk::RGBA & cursor, const Gdk::RGBA & secondary_cursor)
| Sets the cursor color to use in a widget, overriding the cursor-color and secondary-cursor-color style properties. More...
void | unset_cursor ()
| Undoes the effect of previous calls to override_cursor(). More...
void | reset_style ()
| Updates the style context of widget and all descendants by updating its widget path. More...
template<class PropertyType >
void | get_style_property (const Glib::ustring & the_property_name, PropertyType & value) const
| Gets the value of a style property of widget. More...
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context with the appropriate font map, font options, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context with the appropriate font map, font description, and base direction for this widget. More...
void | set_font_options (const ::Cairo::FontOptions & options)
| Sets the #cairo_font_options_t used for Pango rendering in this widget. More...
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options(). More...
::Cairo::FontOptions | get_font_options () const
| Returns the #cairo_font_options_t used for Pango rendering. More...
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring & text)
| Creates a new Pango::Layout with the appropriate font map, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Gdk::Pixbuf > | render_icon_pixbuf (const StockID & stock_id, IconSize size)
| A convenience function that uses the theme engine and style settings for widget to look up stock_id and render it to a pixbuf. More...
void | set_composite_name (const Glib::ustring & name)
| Sets a widgets composite name. More...
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
| Obtains the composite name of a widget. More...
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget. More...
TextDirection | get_direction () const
| Gets the reading direction for a particular widget. More...
void | shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > & region)
| Sets a shape for this widget’s GDK window. More...
void | input_shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > & region)
| Sets an input shape for this widget’s GDK window. More...
WidgetPath | get_path () const
| Returns the Gtk::WidgetPath representing widget, if the widget is not connected to a toplevel widget, a partial path will be created. More...
std::vector< Widget * > | list_mnemonic_labels ()
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()). More...
std::vector< const Widget * > | list_mnemonic_labels () const
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()). More...
void | add_mnemonic_label (Widget & label)
| Adds a widget to the list of mnemonic labels for this widget. More...
void | remove_mnemonic_label (Widget & label)
| Removes a widget from the list of mnemonic labels for this widget. More...
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext > & context, const Glib::ustring & target, guint32 time)
void | drag_highlight ()
void | drag_unhighlight ()
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const std::vector< TargetEntry > & targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window > & proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
| Sets this widget as a proxy for drops to another window. More...
void | drag_dest_unset ()
| Clears information about a drop destination set with gtk_drag_dest_set(). More...
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > & context, const Glib::RefPtr< TargetList > & target_list) const
| Looks for a match between context->targets and the dest_target_list, returning the first matching target, otherwise returning GDK_NONE. More...
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > & context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
| Returns the list of targets this widget can accept from drag-and-drop. More...
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
| Returns the list of targets this widget can accept from drag-and-drop. More...
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList > & target_list)
| Sets the target types that this widget can accept from drag-and-drop. More...
void | drag_dest_add_text_targets ()
| Add the text targets supported by Gtk::SelectionData to the target list of the drag destination. More...
void | drag_dest_add_image_targets ()
| Add the image targets supported by Gtk::SelectionData to the target list of the drag destination. More...
void | drag_dest_add_uri_targets ()
| Add the URI targets supported by Gtk::SelectionData to the target list of the drag destination. More...
void | drag_source_set (const std::vector< TargetEntry > & targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
| Undoes the effects of gtk_drag_source_set(). More...
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf > & pixbuf)
| Sets the icon that will be used for drags from a particular widget from a Gdk::Pixbuf. More...
void | drag_source_set_icon (const StockID & stock_id)
| Sets the icon that will be used for drags from a particular source to a stock icon. More...
void | drag_source_set_icon (const Glib::ustring & icon_name)
| Sets the icon that will be used for drags from a particular source to a themed icon. More...
void | drag_source_add_text_targets ()
| Add the text targets supported by Gtk::SelectionData to the target list of the drag source. More...
void | drag_source_add_uri_targets ()
| Add the URI targets supported by Gtk::SelectionData to the target list of the drag source. More...
void | drag_source_add_image_targets ()
| Add the writable image targets supported by Gtk::SelectionData to the target list of the drag source. More...
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > & targets, Gdk::DragAction actions, int button, GdkEvent * gdk_event)
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > & targets, Gdk::DragAction actions, int button, GdkEvent * gdk_event, int x, int y)
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext > & context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
| This function works like queue_resize(), except that the widget is not invalidated. More...
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget. More...
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget. More...
bool | get_no_show_all () const
| Returns the current value of the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget. More...
void | set_no_show_all (bool no_show_all=true)
| Sets the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget. More...
void | set_parent (Widget & parent)
| This function is useful only when implementing subclasses of Gtk::Container. More...
void | unparent ()
| This function is only for use in widget implementations. More...
void | map ()
| This function is only for use in widget implementations. More...
void | unmap ()
| This function is only for use in widget implementations. More...
void | draw_insertion_cursor (const ::Cairo::RefPtr< ::Cairo::Context > & cr, const Gdk::Rectangle & location, bool is_primary, TextDirection direction, bool draw_arrow=true)
| Draws a text caret on cr at location. More...
void | set_tooltip_window (Window & custom_window)
| Replaces the default window used for displaying tooltips with custom_window. More...
Window * | get_tooltip_window ()
| Returns the Gtk::Window of the current tooltip. More...
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located. More...
void | set_tooltip_text (const Glib::ustring & text)
| Sets text as the contents of the tooltip. More...
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget. More...
void | set_tooltip_markup (const Glib::ustring & markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language. More...
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget. More...
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on widget to has_tooltip. More...
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property. More...
int | get_width () const
int | get_height () const
bool | is_composited () const
| Whether widget can rely on having its alpha channel drawn correctly. More...
bool | in_destruction () const
| Returns whether the widget is currently being destroyed. More...
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to widget. More...
Glib::RefPtr< Gtk::StyleContext > | get_style_context () const
| Returns the style context associated to widget. More...
Gdk::ModifierType | get_modifier_mask (Gdk::ModifierIntent intent)
| Returns the modifier mask the widget’s windowing system backend uses for a particular purpose. More...
guint | add_tick_callback (const SlotTick & slot)
| Queues an animation frame update and adds a callback to be called before each frame. More...
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback(). More...
void | insert_action_group (const Glib::ustring & name, const Glib::RefPtr< Gio::ActionGroup > & group)
| Inserts group into widget. More...
void | remove_action_group (const Glib::ustring & name)
| Removes a group from the widget. More...
Glib::RefPtr< Gio::ActionGroup > | get_action_group (const Glib::ustring & prefix)
| Retrieves the Gio::ActionGroup that was registered using prefix. More...
Glib::RefPtr< const Gio::ActionGroup > | get_action_group (const Glib::ustring & prefix) const
| Retrieves the Gio::ActionGroup that was registered using prefix. More...
std::vector< Glib::ustring > | list_action_prefixes () const
| Retrieves a `nullptr`-terminated array of strings containing the prefixes of Gio::ActionGroup's available to widget. More...
void | set_font_map (const Glib::RefPtr< Pango::FontMap > & font_map)
| Sets the font map to use for Pango rendering. More...
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map that has been set with set_font_map(). More...
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map that has been set with set_font_map(). More...
Glib::SignalProxy< void > | signal_show ()
Glib::SignalProxy< void > | signal_hide ()
Glib::SignalProxy< void > | signal_map ()
| Emitted on mapping of a widget to the screen. More...
Glib::SignalProxy< void > | signal_unmap ()
Glib::SignalProxy< void > | signal_realize ()
| Emitted on realization of a widget. More...
Glib::SignalProxy< void > | signal_unrealize ()
Glib::SignalProxy< void, Allocation & > | signal_size_allocate ()
Glib::SignalProxy< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy< void, Gtk::StateFlags > | signal_state_flags_changed ()
Glib::SignalProxy< void, Widget * > | signal_parent_changed ()
| Informs objects that their parent changed. More...
Glib::SignalProxy< void, Widget * > | signal_hierarchy_changed ()
Glib::SignalProxy< void > | signal_style_updated ()
Glib::SignalProxy< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy< void, bool > | signal_grab_notify ()
Glib::SignalProxy< void, GParamSpec * > | signal_child_notify ()
Glib::SignalProxyDetailedAnyType< void, GParamSpec * > | signal_child_notify (const Glib::ustring & child_property_name)
Glib::SignalProxy< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy< void > | signal_grab_focus ()
Glib::SignalProxy< bool, DirectionType > | signal_focus ()
Glib::SignalProxy< bool, GdkEvent * > | signal_event ()
Glib::SignalProxy< void, GdkEvent * > | signal_event_after ()
Glib::SignalProxy< bool, GdkEventButton * > | signal_button_press_event ()
| Event triggered by user pressing button. More...
Glib::SignalProxy< bool, GdkEventButton * > | signal_button_release_event ()
| Event triggered by user releasing button. More...
Glib::SignalProxy< bool, GdkEventScroll * > | signal_scroll_event ()
Glib::SignalProxy< bool, GdkEventMotion * > | signal_motion_notify_event ()
| Event triggered by user moving pointer. More...
Glib::SignalProxy< bool, GdkEventAny * > | signal_delete_event ()
Glib::SignalProxy< bool, const ::Cairo::RefPtr< ::Cairo::Context > & > | signal_draw ()
Glib::SignalProxy< bool, GdkEventKey * > | signal_key_press_event ()
| Event triggered by a key press will widget has focus. More...
Glib::SignalProxy< bool, GdkEventKey * > | signal_key_release_event ()
| Event triggered by a key release will widget has focus. More...
Glib::SignalProxy< bool, GdkEventCrossing * > | signal_enter_notify_event ()
| Event triggered by pointer entering widget area. More...
Glib::SignalProxy< bool, GdkEventCrossing * > | signal_leave_notify_event ()
| Event triggered by pointer leaving widget area. More...
Glib::SignalProxy< bool, GdkEventConfigure * > | signal_configure_event ()
| Event triggered by a window resizing. More...
Glib::SignalProxy< bool, GdkEventFocus * > | signal_focus_in_event ()
Glib::SignalProxy< bool, GdkEventFocus * > | signal_focus_out_event ()
Glib::SignalProxy< bool, GdkEventAny * > | signal_map_event ()
Glib::SignalProxy< bool, GdkEventAny * > | signal_unmap_event ()
Glib::SignalProxy< bool, GdkEventProperty * > | signal_property_notify_event ()
Glib::SignalProxy< bool, GdkEventSelection * > | signal_selection_clear_event ()
Glib::SignalProxy< bool, GdkEventSelection * > | signal_selection_request_event ()
Glib::SignalProxy< bool, GdkEventSelection * > | signal_selection_notify_event ()
Glib::SignalProxy< bool, GdkEventProximity * > | signal_proximity_in_event ()
Glib::SignalProxy< bool, GdkEventProximity * > | signal_proximity_out_event ()
Glib::SignalProxy< bool, GdkEventVisibility * > | signal_visibility_notify_event ()
Glib::SignalProxy< bool, GdkEventWindowState * > | signal_window_state_event ()
Glib::SignalProxy< void, SelectionData &, guint, guint > | signal_selection_get ()
Glib::SignalProxy< void, const SelectionData &, guint > | signal_selection_received ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_begin ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_end ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > &, SelectionData &, guint, guint > | signal_drag_data_get ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_data_delete ()
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext > &, DragResult > | signal_drag_failed ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > &, guint > | signal_drag_leave ()
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_motion ()
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_drop ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > &, int, int, const SelectionData &, guint, guint > | signal_drag_data_received ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::Screen > & > | signal_screen_changed ()
Glib::SignalProxy< void > | signal_composited_changed ()
Glib::SignalProxy< bool > | signal_popup_menu ()
Glib::SignalProxy< bool, int, int, bool, const Glib::RefPtr< Tooltip > & > | signal_query_tooltip ()
Glib::SignalProxy< bool, GdkEventGrabBroken * > | signal_grab_broken_event ()
Glib::SignalProxy< bool, GdkEventExpose * > | signal_damage_event ()
Glib::SignalProxy< bool, GdkEventTouch * > | signal_touch_event ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget. More...
Glib::PropertyProxy< Container * > | property_parent ()
| The parent widget of this widget. More...
Glib::PropertyProxy_ReadOnly< Container * > | property_parent () const
| The parent widget of this widget. More...
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input. More...
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input. More...
Glib::PropertyProxy< bool > | property_app_paintable ()
| Whether the application will paint directly on the widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_app_paintable () const
| Whether the application will paint directly on the widget. More...
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget can accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget can accept the input focus. More...
Glib::PropertyProxy< bool > | property_has_focus ()
| Whether the widget has the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus. More...
Glib::PropertyProxy< bool > | property_is_focus ()
| Whether the widget is the focus widget within the toplevel. More...
Glib::PropertyProxy_ReadOnly< bool > | property_is_focus () const
| Whether the widget is the focus widget within the toplevel. More...
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse. More...
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse. More...
Glib::PropertyProxy< bool > | property_can_default ()
| Whether the widget can be the default widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_default () const
| Whether the widget can be the default widget. More...
Glib::PropertyProxy< bool > | property_has_default ()
| Whether the widget is the default widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget. More...
Glib::PropertyProxy< bool > | property_receives_default ()
| If `true`, the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| If `true`, the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_composite_child () const
| Whether the widget is part of a composite widget. More...
Glib::PropertyProxy< Glib::RefPtr< Style > > | property_style ()
| The style of the widget, which contains information about how it will look (colors, etc). More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Style > > | property_style () const
| The style of the widget, which contains information about how it will look (colors, etc). More...
Glib::PropertyProxy< Gdk::EventMask > | property_events ()
| The event mask that decides what kind of GdkEvents this widget gets. More...
Glib::PropertyProxy_ReadOnly< Gdk::EventMask > | property_events () const
| The event mask that decides what kind of GdkEvents this widget gets. More...
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of Gtk::Widget::signal_query_tooltip() on widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of Gtk::Widget::signal_query_tooltip() on widget. More...
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with the [Pango text markup language][PangoMarkupFormat]. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with the [Pango text markup language][PangoMarkupFormat]. More...
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Window > > | property_window () const
| The widget's window if it is realized, `nullptr` otherwise. More...
Glib::PropertyProxy< bool > | property_no_show_all ()
| Whether Gtk::Widget::show_all() should not affect this widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_no_show_all () const
| Whether Gtk::Widget::show_all() should not affect this widget. More...
Glib::PropertyProxy< bool > | property_double_buffered ()
| Whether the widget is double buffered. More...
Glib::PropertyProxy_ReadOnly< bool > | property_double_buffered () const
| Whether the widget is double buffered. More...
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space, see Gtk::Align. More...
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space, see Gtk::Align. More...
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space, see Gtk::Align. More...
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space, see Gtk::Align. More...
Glib::PropertyProxy< int > | property_margin_left ()
| Margin on left side of widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_left () const
| Margin on left side of widget. More...
Glib::PropertyProxy< int > | property_margin_right ()
| Margin on right side of widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_right () const
| Margin on right side of widget. More...
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally. More...
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally. More...
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget. More...
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget. More...
Glib::PropertyProxy< int > | property_margin ()
| Sets all four sides' margin at once. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin () const
| Sets all four sides' margin at once. More...
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally. More...
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the Gtk::Widget::property_hexpand() property. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the Gtk::Widget::property_hexpand() property. More...
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically. More...
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically. More...
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the Gtk::Widget::property_vexpand() property. More...
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the Gtk::Widget::property_vexpand() property. More...
Glib::PropertyProxy< bool > | property_expand ()
| Whether to expand in both directions. More...
Glib::PropertyProxy_ReadOnly< bool > | property_expand () const
| Whether to expand in both directions. More...
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget. More...
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget. More...
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
GObject * | gobj ()
| Provides access to the underlying C GObject. More...
const GObject * | gobj () const
| Provides access to the underlying C GObject. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable && src) noexcept
Buildable & | operator= (Buildable && src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject. More...
void | set_name (const Glib::ustring & name)
| Sets the name of the buildable object. More...
Glib::ustring | get_name () const
| Gets the name of the buildable object. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Atk::Implementor
| Implementor (Implementor &&src) noexcept
Implementor & | operator= (Implementor &&src) noexcept
| ~Implementor () noexcept override
AtkImplementor * | gobj ()
const AtkImplementor * | gobj () const
Glib::RefPtr< Atk::Implementor > | wrap (AtkImplementor *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Editable
| Editable (Editable && src) noexcept
Editable & | operator= (Editable && src) noexcept
| ~Editable () noexcept override
GtkEditable * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkEditable * | gobj () const
| Provides access to the underlying C GObject. More...
void | cut_clipboard ()
| Removes the contents of the currently selected content in the editable and puts it on the clipboard. More...
void | copy_clipboard ()
| Copies the contents of the currently selected content in the editable and puts it on the clipboard. More...
void | paste_clipboard ()
| Pastes the content of the clipboard to the current position of the cursor in the editable. More...
void | delete_selection ()
| Deletes the currently selected text of the editable. More...
void | set_editable (bool is_editable=true)
| Determines if the user can edit the text in the editable widget or not. More...
bool | get_editable () const
| Retrieves whether editable is editable. More...
void | insert_text (const Glib::ustring & new_text, int new_text_length, int & position)
| Inserts new_text_length bytes of new_text into the contents of the widget, at position position. More...
void | delete_text (int start_pos, int end_pos)
| Deletes a sequence of characters. More...
Glib::ustring | get_chars (int start_pos, int end_pos) const
| Retrieves a sequence of characters. More...
void | select_region (int start_pos, int end_pos)
| Selects a region of text. More...
bool | get_selection_bounds (int & start_pos, int & end_pos) const
| Retrieves the selection bound of the editable. More...
void | set_position (int position)
| Sets the cursor position in the editable to the given value. More...
int | get_position () const
| Retrieves the current position of the cursor relative to the start of the content of the editable. More...
Glib::SignalProxy< void, const Glib::ustring &, int * > | signal_insert_text ()
Glib::SignalProxy< void, int, int > | signal_delete_text ()
Glib::SignalProxy< void > | signal_changed ()
Public Member Functions inherited from Gtk::CellEditable
| CellEditable (CellEditable && src) noexcept
CellEditable & | operator= (CellEditable && src) noexcept
| ~CellEditable () noexcept override
GtkCellEditable * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkCellEditable * | gobj () const
| Provides access to the underlying C GObject. More...
void | start_editing (GdkEvent * event)
| Begins editing on a cell_editable. More...
void | editing_done ()
| Emits the Gtk::CellEditable::signal_editing_done() signal. More...
void | remove_widget ()
| Emits the Gtk::CellEditable::signal_remove_widget() signal. More...
Glib::SignalProxy< void > | signal_editing_done ()
Glib::SignalProxy< void > | signal_remove_widget ()
Glib::PropertyProxy< bool > | property_editing_canceled ()
| Indicates whether editing on the cell has been canceled. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editing_canceled () const
| Indicates whether editing on the cell has been canceled. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Widget * | get_current_modal_grab ()
| Retrieve the widget which is currently grabbing all events. More...
static void | push_composite_child ()
| Makes all newly-created widgets as composite children until the corresponding pop_composite_child() call. More...
static void | pop_composite_child ()
| Cancels the effect of a previous call to push_composite_child(). More...
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets where the direction has not been explicitly set by set_direction(). More...
static TextDirection | get_default_direction ()
| Obtains the current default reading direction. More...
static Widget * | drag_get_source_widget (const Glib::RefPtr< Gdk::DragContext > & context)
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Implementor
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Editable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::CellEditable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
virtual void | on_populate_popup (Menu * menu)
| This is a default handler for the signal signal_populate_popup(). More...
virtual void | on_insert_at_cursor (const Glib::ustring & str)
| This is a default handler for the signal signal_insert_at_cursor(). More...
virtual void | on_activate ()
| This is a default handler for the signal signal_activate(). More...
Protected Member Functions inherited from Gtk::Widget
virtual void | on_show ()
| This is a default handler for the signal signal_show(). More...
virtual void | on_hide ()
| This is a default handler for the signal signal_hide(). More...
virtual void | on_map ()
| This is a default handler for the signal signal_map(). More...
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap(). More...
virtual void | on_realize ()
| This is a default handler for the signal signal_realize(). More...
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize(). More...
virtual void | on_size_allocate (Allocation & allocation)
| This is a default handler for the signal signal_size_allocate(). More...
virtual void | on_state_changed (Gtk::StateType previous_state)
| This is a default handler for the signal signal_state_changed(). More...
virtual void | on_parent_changed (Widget * previous_parent)
| This is a default handler for the signal signal_parent_changed(). More...
virtual void | on_hierarchy_changed (Widget * previous_toplevel)
| This is a default handler for the signal signal_hierarchy_changed(). More...
virtual void | on_style_updated ()
| This is a default handler for the signal signal_style_updated(). More...
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed(). More...
virtual void | on_grab_notify (bool was_grabbed)
| This is a default handler for the signal signal_grab_notify(). More...
virtual void | on_child_notify (GParamSpec * pspec)
| This is a default handler for the signal signal_child_notify(). More...
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate(). More...
virtual void | on_grab_focus ()
| This is a default handler for the signal signal_grab_focus(). More...
virtual bool | on_focus (DirectionType direction)
| This is a default handler for the signal signal_focus(). More...
virtual bool | on_event (GdkEvent * gdk_event)
| This is a default handler for the signal signal_event(). More...
virtual bool | on_button_press_event (GdkEventButton * button_event)
| This is a default handler for the signal signal_button_press_event(). More...
virtual bool | on_button_release_event (GdkEventButton * release_event)
| This is a default handler for the signal signal_button_release_event(). More...
virtual bool | on_scroll_event (GdkEventScroll * scroll_event)
| This is a default handler for the signal signal_scroll_event(). More...
virtual bool | on_motion_notify_event (GdkEventMotion * motion_event)
| This is a default handler for the signal signal_motion_notify_event(). More...
virtual bool | on_delete_event (GdkEventAny * any_event)
| This is a default handler for the signal signal_delete_event(). More...
virtual bool | on_draw (const ::Cairo::RefPtr< ::Cairo::Context > & cr)
| This is a default handler for the signal signal_draw(). More...
virtual bool | on_key_press_event (GdkEventKey * key_event)
| This is a default handler for the signal signal_key_press_event(). More...
virtual bool | on_key_release_event (GdkEventKey * key_event)
| This is a default handler for the signal signal_key_release_event(). More...
virtual bool | on_enter_notify_event (GdkEventCrossing * crossing_event)
| This is a default handler for the signal signal_enter_notify_event(). More...
virtual bool | on_leave_notify_event (GdkEventCrossing * crossing_event)
| This is a default handler for the signal signal_leave_notify_event(). More...
virtual bool | on_configure_event (GdkEventConfigure * configure_event)
| This is a default handler for the signal signal_configure_event(). More...
virtual bool | on_focus_in_event (GdkEventFocus * focus_event)
| This is a default handler for the signal signal_focus_in_event(). More...
virtual bool | on_focus_out_event (GdkEventFocus * gdk_event)
| This is a default handler for the signal signal_focus_out_event(). More...
virtual bool | on_map_event (GdkEventAny * any_event)
| This is a default handler for the signal signal_map_event(). More...
virtual bool | on_unmap_event (GdkEventAny * any_event)
| This is a default handler for the signal signal_unmap_event(). More...
virtual bool | on_property_notify_event (GdkEventProperty * property_event)
| This is a default handler for the signal signal_property_notify_event(). More...
virtual bool | on_selection_clear_event (GdkEventSelection * selection_event)
| This is a default handler for the signal signal_selection_clear_event(). More...
virtual bool | on_selection_request_event (GdkEventSelection * selection_event)
| This is a default handler for the signal signal_selection_request_event(). More...
virtual bool | on_selection_notify_event (GdkEventSelection * selection_event)
| This is a default handler for the signal signal_selection_notify_event(). More...
virtual bool | on_proximity_in_event (GdkEventProximity * proximity_event)
| This is a default handler for the signal signal_proximity_in_event(). More...
virtual bool | on_proximity_out_event (GdkEventProximity * proximity_event)
| This is a default handler for the signal signal_proximity_out_event(). More...
virtual bool | on_visibility_notify_event (GdkEventVisibility * visibility_event)
| This is a default handler for the signal signal_visibility_notify_event(). More...
virtual bool | on_window_state_event (GdkEventWindowState * window_state_event)
| This is a default handler for the signal signal_window_state_event(). More...
virtual void | on_selection_get (SelectionData & selection_data, guint info, guint time)
| This is a default handler for the signal signal_selection_get(). More...
virtual void | on_selection_received (const SelectionData & selection_data, guint time)
| This is a default handler for the signal signal_selection_received(). More...
virtual void | on_drag_begin (const Glib::RefPtr< Gdk::DragContext > & context)
| This is a default handler for the signal signal_drag_begin(). More...
virtual void | on_drag_end (const Glib::RefPtr< Gdk::DragContext > & context)
| This is a default handler for the signal signal_drag_end(). More...
virtual void | on_drag_data_get (const Glib::RefPtr< Gdk::DragContext > & context, SelectionData & selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_get(). More...
virtual void | on_drag_data_delete (const Glib::RefPtr< Gdk::DragContext > & context)
| This is a default handler for the signal signal_drag_data_delete(). More...
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext > & context, guint time)
| This is a default handler for the signal signal_drag_leave(). More...
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext > & context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_motion(). More...
virtual bool | on_drag_drop (const Glib::RefPtr< Gdk::DragContext > & context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_drop(). More...
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext > & context, int x, int y, const SelectionData & selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_received(). More...
virtual void | on_screen_changed (const Glib::RefPtr< Gdk::Screen > & previous_screen)
| This is a default handler for the signal signal_screen_changed(). More...
virtual void | dispatch_child_properties_changed_vfunc (guint p1, GParamSpec ** p2)
virtual void | show_all_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_accessible_vfunc ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (int & minimum_width, int & natural_width) const
virtual void | get_preferred_height_for_width_vfunc (int width, int & minimum_height, int & natural_height) const
virtual void | get_preferred_height_vfunc (int & minimum_height, int & natural_height) const
virtual void | get_preferred_width_for_height_vfunc (int height, int & minimum_width, int & natural_width) const
| Widget ()
void | realize ()
| Creates the GDK (windowing system) resources associated with a widget. More...
void | unrealize ()
| This function is only useful in widget implementations. More...
void | draw (const ::Cairo::RefPtr< ::Cairo::Context > & cr)
| Draws widget to cr. More...
void | set_mapped (bool mapped=true)
| Marks the widget as being mapped. More...
void | set_realized (bool realized=true)
| Marks the widget as being realized. More...
void | set_has_window (bool has_window=true)
| Specifies whether widget has a Gdk::Window of its own. More...
void | set_window (const Glib::RefPtr< Gdk::Window > & window)
| Sets a widget's window. More...
void | transform_cairo_context_to_window (const ::Cairo::RefPtr< ::Cairo::Context > & cr, const Glib::RefPtr< const Gdk::Window > & window)
| Transforms the given cairo context cr from widget-relative coordinates to window-relative coordinates. More...
Requisition | get_requisition () const
| Retrieves the widget's requisition. More...
void | get_style_property_value (const Glib::ustring & the_property_name, Glib::ValueBase & value) const
| Gets the value of a style property of widget. More...
void | realize_if_needed ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Atk::Implementor
| Implementor ()
virtual Glib::RefPtr< Object > | ref_accessibile_vfunc ()
Protected Member Functions inherited from Gtk::Editable
| Editable ()
| You should derive from this class to use it. More...
virtual void | delete_text_vfunc (int start_pos, int end_pos)
virtual Glib::ustring | get_chars_vfunc (int start_pos, int end_pos) const
virtual void | select_region_vfunc (int start_pos, int end_pos)
virtual bool | get_selection_bounds_vfunc (int & start_pos, int & end_pos) const
virtual void | set_position_vfunc (int position)
virtual int | get_position_vfunc () const
virtual void | insert_text_vfunc (const Glib::ustring & text, int & position)
virtual void | on_insert_text (const Glib::ustring & text, int * position)
| This is a default handler for the signal signal_insert_text(). More...
virtual void | on_delete_text (int start_pos, int end_pos)
| This is a default handler for the signal signal_delete_text(). More...
virtual void | on_changed ()
| This is a default handler for the signal signal_changed(). More...
Protected Member Functions inherited from Gtk::CellEditable
| CellEditable ()
| You should derive from this class to use it. More...
virtual void | start_editing_vfunc (GdkEvent * event)
virtual void | on_editing_done ()
| This is a default handler for the signal signal_editing_done(). More...
virtual void | on_remove_widget ()
| This is a default handler for the signal signal_remove_widget(). More...

## Related Functions
(Note that these are not member functions.)
Gtk::Entry * | wrap (GtkEntry * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Widget
Gtk::Widget * | wrap (GtkWidget * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Editable
Glib::RefPtr< Gtk::Editable > | wrap (GtkEditable * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::CellEditable
Glib::RefPtr< Gtk::CellEditable > | wrap (GtkCellEditable * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gtk::Widget
using | SlotTick = sigc::slot< bool(const Glib::RefPtr< Gdk::FrameClock > &)>
| Callback type for adding a function to update animations. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Static Protected Member Functions inherited from Gtk::Widget
static bool | should_draw_window (const ::Cairo::RefPtr< const ::Cairo::Context > & cr, const Glib::RefPtr< const Gdk::Window > & window)
| This function is supposed to be called in Gtk::Widget::signal_draw() implementations for widgets that support multiple windows. More...

## Detailed Description

A single line text entry field.

The Gtk::Entry widget is a single line text entry widget. A fairly large set of key bindings are supported by default. If the entered text is longer than the allocation of the widget, the widget will scroll so that the cursor position is visible.

The Entry widget looks like this:

## Constructor & Destructor Documentation

## ◆ Entry() [1/4]

Gtk::Entry::Entry | ( | Entry && | src | ) |
| noexcept

## ◆ Entry() [2/4]

Gtk::Entry::Entry | ( | const Entry & |  | ) |
| delete

## ◆ ~Entry()

Gtk::Entry::~Entry | ( |  | ) |
| overridenoexcept

## ◆ Entry() [3/4]

Gtk::Entry::Entry | ( |  | ) |

## ◆ Entry() [4/4]

Gtk::Entry::Entry | ( | const Glib::RefPtr< EntryBuffer > & | buffer | ) |
| explicit

## Member Function Documentation

## ◆ get_activates_default()

gboolean Gtk::Entry::get_activates_default | ( |  | ) | const

Retrieves the value set by set_activates_default().

Returns
  `true` if the entry will activate the default widget.

## ◆ get_alignment()

float Gtk::Entry::get_alignment | ( |  | ) | const

Gets the value set by set_alignment().

Since gtkmm 2.4:

Returns
  The alignment.

## ◆ get_attributes()

Pango::AttrList Gtk::Entry::get_attributes | ( |  | ) | const

Gets the attribute list that was set on the entry using set_attributes(), if any.

Since gtkmm 3.6:

Returns
  The attribute list, or `nullptr` if none was set.

## ◆ get_buffer() [1/2]

Glib::RefPtr< EntryBuffer > Gtk::Entry::get_buffer | ( |  | ) |

Get the Gtk::EntryBuffer object which holds the text for this widget.

Since gtkmm 2.18:

Returns
  A Gtk::EntryBuffer object.

## ◆ get_buffer() [2/2]

Glib::RefPtr< const EntryBuffer > Gtk::Entry::get_buffer | ( |  | ) | const

Get the Gtk::EntryBuffer object which holds the text for this widget.

Since gtkmm 2.18:

Returns
  A Gtk::EntryBuffer object.

## ◆ get_completion() [1/2]

Glib::RefPtr< EntryCompletion > Gtk::Entry::get_completion | ( |  | ) |

Returns the auxiliary completion object currently in use by entry.

Since gtkmm 2.4:

Returns
  The auxiliary completion object currently in use by entry.

## ◆ get_completion() [2/2]

Glib::RefPtr< const EntryCompletion > Gtk::Entry::get_completion | ( |  | ) | const

Returns the auxiliary completion object currently in use by entry.

Since gtkmm 2.4:

Returns
  The auxiliary completion object currently in use by entry.

## ◆ get_current_icon_drag_source()

int Gtk::Entry::get_current_icon_drag_source | ( |  | ) |

Returns the index of the icon which is the source of the current DND operation, or -1.

This function is meant to be used in a Gtk::Widget::signal_drag_data_get() callback.

Since gtkmm 2.16:

Returns
  Index of the icon which is the source of the current DND operation, or -1.

## ◆ get_cursor_hadjustment() [1/2]

Glib::RefPtr< Adjustment > Gtk::Entry::get_cursor_hadjustment | ( |  | ) |

Retrieves the horizontal cursor adjustment for the entry.

See set_cursor_hadjustment().

Since gtkmm 2.12:

Returns
  The horizontal cursor adjustment, or `nullptr` if none has been set.

## ◆ get_cursor_hadjustment() [2/2]

Glib::RefPtr< const Adjustment > Gtk::Entry::get_cursor_hadjustment | ( |  | ) | const

Retrieves the horizontal cursor adjustment for the entry.

See set_cursor_hadjustment().

Since gtkmm 2.12:

Returns
  The horizontal cursor adjustment, or `nullptr` if none has been set.

## ◆ get_has_frame()

bool Gtk::Entry::get_has_frame | ( |  | ) | const

Gets the value set by set_has_frame().

Returns
  Whether the entry has a beveled frame.

## ◆ get_icon_activatable()

bool Gtk::Entry::get_icon_activatable | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Returns whether the icon is activatable.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  `true` if the icon is activatable.

## ◆ get_icon_area()

Gdk::Rectangle Gtk::Entry::get_icon_area | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Returns the area where entry's icon at icon_pos is drawn.

This function is useful when drawing something to the entry in a draw callback.

See also get_text_area().

Parameters

  icon_pos | Icon position.

Returns
  The location for the icon area.

Since gtkmm 3.0:

## ◆ get_icon_at_pos()

int Gtk::Entry::get_icon_at_pos | ( | int | x,
|  | int | y
| ) |  | const

Finds the icon at the given position and return its index.

The position’s coordinates are relative to the entry’s top left corner. If x, y doesn’t lie inside an icon, -1 is returned. This function is intended for use in a Gtk::Widget::signal_query_tooltip() signal handler.

Since gtkmm 2.16:

Parameters

  x | The x coordinate of the position to find.
  y | The y coordinate of the position to find.

Returns
  The index of the icon at the given position, or -1.

## ◆ get_icon_gicon() [1/2]

Glib::RefPtr< Gio::Icon > Gtk::Entry::get_icon_gicon | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) |

Retrieves the Gio::Icon used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by stock, pixbuf, or icon name).

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  A Gio::Icon, or `nullptr` if no icon is set or if the icon is not a Gio::Icon.

## ◆ get_icon_gicon() [2/2]

Glib::RefPtr< const Gio::Icon > Gtk::Entry::get_icon_gicon | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Retrieves the Gio::Icon used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by stock, pixbuf, or icon name).

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  A Gio::Icon, or `nullptr` if no icon is set or if the icon is not a Gio::Icon.

## ◆ get_icon_name()

Glib::ustring Gtk::Entry::get_icon_name | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Retrieves the icon name used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by pixbuf, stock or gicon).

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  An icon name, or `nullptr` if no icon is set or if the icon wasn’t set from an icon name.

## ◆ get_icon_pixbuf() [1/2]

Glib::RefPtr< Gdk::Pixbuf > Gtk::Entry::get_icon_pixbuf | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) |

Retrieves the image used for the icon.

Unlike the other methods of setting and getting icon data, this method will work regardless of whether the icon was set using a Gdk::Pixbuf, a Gio::Icon, a stock item, or an icon name.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  A Gdk::Pixbuf, or `nullptr` if no icon is set for this position.

## ◆ get_icon_pixbuf() [2/2]

Glib::RefPtr< const Gdk::Pixbuf > Gtk::Entry::get_icon_pixbuf | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Retrieves the image used for the icon.

Unlike the other methods of setting and getting icon data, this method will work regardless of whether the icon was set using a Gdk::Pixbuf, a Gio::Icon, a stock item, or an icon name.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  A Gdk::Pixbuf, or `nullptr` if no icon is set for this position.

## ◆ get_icon_sensitive()

bool Gtk::Entry::get_icon_sensitive | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) |

Returns whether the icon appears sensitive or insensitive.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  `true` if the icon is sensitive.

## ◆ get_icon_stock()

StockID Gtk::Entry::get_icon_stock | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Retrieves the stock id used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by pixbuf, icon name or gicon).

Since gtkmm 2.16:

Deprecated: 3.10: Use get_icon_name() instead.

Deprecated:
  Use get_icon_name() instead.

Parameters

  icon_pos | Icon position.

Returns
  A stock id, or `nullptr` if no icon is set or if the icon wasn’t set from a stock id.

## ◆ get_icon_storage_type()

ImageType Gtk::Entry::get_icon_storage_type | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Gets the type of representation being used by the icon to store image data.

If the icon has no image data, the return value will be Gtk::IMAGE_EMPTY.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  Image representation being used.

## ◆ get_icon_tooltip_markup()

Glib::ustring Gtk::Entry::get_icon_tooltip_markup | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Gets the contents of the tooltip on the icon at the specified position in entry.

Since gtkmm 2.16:

Parameters

  icon_pos | The icon position.

Returns
  The tooltip text, or `nullptr`.

## ◆ get_icon_tooltip_text()

Glib::ustring Gtk::Entry::get_icon_tooltip_text | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Gets the contents of the tooltip on the icon at the specified position in entry.

Since gtkmm 2.16:

Parameters

  icon_pos | The icon position.

Returns
  The tooltip text, or `nullptr`.

## ◆ get_inner_border()

Border Gtk::Entry::get_inner_border | ( |  | ) | const

This function returns the entry’s Gtk::Entry::property_inner_border() property.

See set_inner_border() for more information.

Since gtkmm 2.10:

Deprecated: 3.4: Use the standard border and padding CSS properties (through objects like Gtk::StyleContext and Gtk::CssProvider); the value returned by this function is ignored by Gtk::Entry.

Deprecated:
  Use the standard border and padding CSS properties instead (through classes like StyleContext and CssProvider).

Returns
  The entry’s Gtk::Border, or `nullptr` if none was set.

## ◆ get_input_hints()

InputHints Gtk::Entry::get_input_hints | ( |  | ) | const

Gets the value of the Gtk::Entry::property_input_hints() property.

Since gtkmm 3.6:

## ◆ get_input_purpose()

InputPurpose Gtk::Entry::get_input_purpose | ( |  | ) | const

Gets the value of the Gtk::Entry::property_input_purpose() property.

Since gtkmm 3.6:

## ◆ get_invisible_char()

gunichar Gtk::Entry::get_invisible_char | ( |  | ) | const

Retrieves the character displayed in place of the real characters for entries with visibility set to false.

See set_invisible_char().

Returns
  The current invisible char, or 0, if the entry does not show invisible text at all.

## ◆ get_layout() [1/2]

Glib::RefPtr< Pango::Layout > Gtk::Entry::get_layout | ( |  | ) |

Gets the Pango::Layout used to display the entry.

The layout is useful to e.g. convert text positions to pixel positions, in combination with get_layout_offsets(). The returned layout is owned by the entry and must not be modified or freed by the caller.

Keep in mind that the layout text may contain a preedit string, so layout_index_to_text_index() and text_index_to_layout_index() are needed to convert byte indices in the layout to byte indices in the entry contents.

Returns
  The Pango::Layout for this entry.

## ◆ get_layout() [2/2]

Glib::RefPtr< const Pango::Layout > Gtk::Entry::get_layout | ( |  | ) | const

Gets the Pango::Layout used to display the entry.

The layout is useful to e.g. convert text positions to pixel positions, in combination with get_layout_offsets(). The returned layout is owned by the entry and must not be modified or freed by the caller.

Keep in mind that the layout text may contain a preedit string, so layout_index_to_text_index() and text_index_to_layout_index() are needed to convert byte indices in the layout to byte indices in the entry contents.

Returns
  The Pango::Layout for this entry.

## ◆ get_layout_offsets()

void Gtk::Entry::get_layout_offsets | ( | int & | x,
|  | int & | y
| ) |  |

Obtains the position of the Pango::Layout used to render text in the entry, in widget coordinates.

Useful if you want to line up the text in an entry with some other text, e.g. when using the entry to implement editable cells in a sheet widget.

Also useful to convert mouse events into coordinates inside the Pango::Layout, e.g. to take some action if some part of the entry text is clicked.

Note that as the user scrolls around in the entry the offsets will change; you’ll need to connect to the “notify::scroll-offset” signal to track this. Remember when using the Pango::Layout functions you need to convert to and from pixels using PANGO_PIXELS() or Pango::SCALE.

Keep in mind that the layout text may contain a preedit string, so layout_index_to_text_index() and text_index_to_layout_index() are needed to convert byte indices in the layout to byte indices in the entry contents.

Parameters

  x | Location to store X offset of layout, or `nullptr`.
  y | Location to store Y offset of layout, or `nullptr`.

## ◆ get_max_length()

int Gtk::Entry::get_max_length | ( |  | ) | const

Retrieves the maximum allowed length of the text in entry.

See set_max_length().

This is equivalent to getting entry's Gtk::EntryBuffer and calling Gtk::EntryBuffer::get_max_length() on it.

Returns
  The maximum allowed number of characters in Gtk::Entry, or 0 if there is no maximum.

## ◆ get_max_width_chars()

int Gtk::Entry::get_max_width_chars | ( |  | ) | const

Retrieves the desired maximum width of entry, in characters.

See set_max_width_chars().

Since gtkmm 3.12:

Returns
  The maximum width of the entry, in characters.

## ◆ get_overwrite_mode()

bool Gtk::Entry::get_overwrite_mode | ( |  | ) | const

Gets the value set by set_overwrite_mode().

Since gtkmm 2.14:

Returns
  Whether the text is overwritten when typing.

## ◆ get_placeholder_text()

Glib::ustring Gtk::Entry::get_placeholder_text | ( |  | ) | const

Retrieves the text that will be displayed when entry is empty and unfocused.

Since gtkmm 3.2:

Returns
  A pointer to the placeholder text as a string. This string points to internally allocated storage in the widget and must not be freed, modified or stored.

## ◆ get_progress_fraction()

double Gtk::Entry::get_progress_fraction | ( |  | ) | const

Returns the current fraction of the task that’s been completed.

See set_progress_fraction().

Since gtkmm 2.16:

Returns
  A fraction from 0.0 to 1.0.

## ◆ get_progress_pulse_step()

double Gtk::Entry::get_progress_pulse_step | ( |  | ) |

Retrieves the pulse step set with set_progress_pulse_step().

Since gtkmm 2.16:

Returns
  A fraction from 0.0 to 1.0.

## ◆ get_tabs()

Pango::TabArray Gtk::Entry::get_tabs | ( |  | ) | const

Gets the tabstops that were set on the entry using set_tabs(), if any.

Since gtkmm 3.10:

Returns
  The tabstops, or `nullptr` if none was set.

## ◆ get_text()

Glib::ustring Gtk::Entry::get_text | ( |  | ) | const

Retrieves the contents of the entry widget.

See also Gtk::Editable::get_chars().

Returns
  The contents of the entry widget.

## ◆ get_text_area()

Gdk::Rectangle Gtk::Entry::get_text_area | ( |  | ) | const

Returns the area where the entry's text is drawn.

This function is useful when drawing something to the entry in a draw callback.

See also get_icon_area().

Returns
  The location for the text area.

Since gtkmm 3.0:

## ◆ get_text_length()

guint16 Gtk::Entry::get_text_length | ( |  | ) | const

Retrieves the current length of the text in entry.

This is equivalent to getting entry's Gtk::EntryBuffer and calling Gtk::EntryBuffer::get_length() on it.

Since gtkmm 2.14:

Returns
  The current number of characters in Gtk::Entry, or 0 if there are none.

## ◆ get_type()

static GType Gtk::Entry::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_visibility()

bool Gtk::Entry::get_visibility | ( |  | ) | const

Retrieves whether the text in entry is visible.

See set_visibility().

Returns
  `true` if the text is currently visible.

## ◆ get_width_chars()

int Gtk::Entry::get_width_chars | ( |  | ) | const

Gets the value set by set_width_chars().

Returns
  Number of chars to request space for, or negative if unset.

## ◆ gobj() [1/2]

GtkEntry * Gtk::Entry::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkEntry * Gtk::Entry::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ grab_focus_without_selecting()

void Gtk::Entry::grab_focus_without_selecting | ( |  | ) |

Causes entry to have keyboard focus.

It behaves like Gtk::Widget::grab_focus(), except that it doesn't select the contents of the entry. You only want to call this on some special entries which the user usually doesn't want to replace all text in, such as search-as-you-type entries.

Since gtkmm 3.16:

## ◆ im_context_filter_keypress()

bool Gtk::Entry::im_context_filter_keypress | ( | GdkEventKey * | gdk_event | ) |

Allow the Gtk::Entry input method to internally handle key press and release events.

If this function returns `true`, then no further processing should be done for this key event. See gtk_im_context_filter_keypress().

Note that you are expected to call this function from your handler when overriding key event handling. This is needed in the case when you need to insert your own key handling between the input method and the default key event handling of the Gtk::Entry. See Gtk::TextView::reset_im_context() for an example of use.

Since gtkmm 2.22:

Parameters

  gdk_event | The key event.

Returns
  `true` if the input method handled the key event.

## ◆ layout_index_to_text_index()

int Gtk::Entry::layout_index_to_text_index | ( | int | layout_index | ) | const

Converts from a position in the entry’s Pango::Layout (returned by get_layout()) to a position in the entry contents (returned by get_text()).

Parameters

  layout_index | Byte index into the entry layout text.

Returns
  Byte index into the entry contents.

## ◆ on_activate()

virtual void Gtk::Entry::on_activate | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_activate().

## ◆ on_insert_at_cursor()

virtual void Gtk::Entry::on_insert_at_cursor | ( | const Glib::ustring & | str | ) |
| protectedvirtual

This is a default handler for the signal signal_insert_at_cursor().

## ◆ on_populate_popup()

virtual void Gtk::Entry::on_populate_popup | ( | Menu * | menu | ) |
| protectedvirtual

This is a default handler for the signal signal_populate_popup().

## ◆ operator=() [1/2]

Entry & Gtk::Entry::operator= | ( | const Entry & |  | ) |
| delete

## ◆ operator=() [2/2]

Entry & Gtk::Entry::operator= | ( | Entry && | src | ) |
| noexcept

## ◆ progress_pulse()

void Gtk::Entry::progress_pulse | ( |  | ) |

Indicates that some progress is made, but you don’t know how much.

Causes the entry’s progress indicator to enter “activity mode,” where a block bounces back and forth. Each call to progress_pulse() causes the block to move by a little bit (the amount of movement per pulse is determined by set_progress_pulse_step()).

Since gtkmm 2.16:

## ◆ property_activates_default() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_activates_default | ( |  | ) |

Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_activates_default() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_activates_default | ( |  | ) | const

Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_attributes() [1/2]

Glib::PropertyProxy< Pango::AttrList > Gtk::Entry::property_attributes | ( |  | ) |

A list of Pango attributes to apply to the text of the entry.

This is mainly useful to change the size or weight of the text.

The Pango::Attribute's start_index and end_index must refer to the Gtk::EntryBuffer text, i.e. without the preedit string.

Since gtkmm 3.6:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_attributes() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::AttrList > Gtk::Entry::property_attributes | ( |  | ) | const

A list of Pango attributes to apply to the text of the entry.

This is mainly useful to change the size or weight of the text.

The Pango::Attribute's start_index and end_index must refer to the Gtk::EntryBuffer text, i.e. without the preedit string.

Since gtkmm 3.6:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_buffer() [1/2]

Glib::PropertyProxy< Glib::RefPtr< EntryBuffer > > Gtk::Entry::property_buffer | ( |  | ) |

Text buffer object which actually stores entry text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_buffer() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< EntryBuffer > > Gtk::Entry::property_buffer | ( |  | ) | const

Text buffer object which actually stores entry text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_caps_lock_warning() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_caps_lock_warning | ( |  | ) |

Whether password entries will show a warning when Caps Lock is on.

Note that the warning is shown using a secondary icon, and thus does not work if you are using the secondary icon position for some other purpose.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_caps_lock_warning() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_caps_lock_warning | ( |  | ) | const

Whether password entries will show a warning when Caps Lock is on.

Note that the warning is shown using a secondary icon, and thus does not work if you are using the secondary icon position for some other purpose.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_completion() [1/2]

Glib::PropertyProxy< Glib::RefPtr< EntryCompletion > > Gtk::Entry::property_completion | ( |  | ) |

The auxiliary completion object to use with the entry.

Since gtkmm 3.2:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_completion() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< EntryCompletion > > Gtk::Entry::property_completion | ( |  | ) | const

The auxiliary completion object to use with the entry.

Since gtkmm 3.2:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_cursor_position()

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_cursor_position | ( |  | ) | const

The current position of the insertion cursor in chars.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_editable | ( |  | ) |

Whether the entry contents can be edited.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_editable | ( |  | ) | const

Whether the entry contents can be edited.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_frame() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_has_frame | ( |  | ) |

`false` removes outside bevel from entry.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_frame() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_has_frame | ( |  | ) | const

`false` removes outside bevel from entry.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_im_module() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_im_module | ( |  | ) |

Which IM (input method) module should be used for this entry.

See Gtk::IMContext.

Setting this to a non-`nullptr` value overrides the system-wide IM module setting. See the GtkSettings Gtk::Settings::property_gtk_im_module() property.

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_im_module() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_im_module | ( |  | ) | const

Which IM (input method) module should be used for this entry.

See Gtk::IMContext.

Setting this to a non-`nullptr` value overrides the system-wide IM module setting. See the GtkSettings Gtk::Settings::property_gtk_im_module() property.

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_inner_border() [1/2]

Glib::PropertyProxy< Border > Gtk::Entry::property_inner_border | ( |  | ) |

Sets the text area's border between the text and the frame.

Since gtkmm 2.10:

Deprecated: 3.4: Use the standard border and padding CSS properties (through objects like Gtk::StyleContext and Gtk::CssProvider); the value of this style property is ignored.

Deprecated:
  Use the standard border and padding CSS properties (through objects like StyleContext and CssProvider); the value of this style property is ignored.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_inner_border() [2/2]

Glib::PropertyProxy_ReadOnly< Border > Gtk::Entry::property_inner_border | ( |  | ) | const

Sets the text area's border between the text and the frame.

Since gtkmm 2.10:

Deprecated: 3.4: Use the standard border and padding CSS properties (through objects like Gtk::StyleContext and Gtk::CssProvider); the value of this style property is ignored.

Deprecated:
  Use the standard border and padding CSS properties (through objects like StyleContext and CssProvider); the value of this style property is ignored.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_input_hints() [1/2]

Glib::PropertyProxy< InputHints > Gtk::Entry::property_input_hints | ( |  | ) |

Additional hints (beyond Gtk::Entry::property_input_purpose()) that allow input methods to fine-tune their behaviour.

Since gtkmm 3.6:

Default value: Gtk::INPUT_HINT_NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_input_hints() [2/2]

Glib::PropertyProxy_ReadOnly< InputHints > Gtk::Entry::property_input_hints | ( |  | ) | const

Additional hints (beyond Gtk::Entry::property_input_purpose()) that allow input methods to fine-tune their behaviour.

Since gtkmm 3.6:

Default value: Gtk::INPUT_HINT_NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_input_purpose() [1/2]

Glib::PropertyProxy< InputPurpose > Gtk::Entry::property_input_purpose | ( |  | ) |

The purpose of this text field.

This property can be used by on-screen keyboards and other input methods to adjust their behaviour.

Note that setting the purpose to Gtk::INPUT_PURPOSE_PASSWORD or Gtk::INPUT_PURPOSE_PIN is independent from setting Gtk::Entry::property_visibility().

Since gtkmm 3.6:

Default value: Gtk::INPUT_PURPOSE_FREE_FORM

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_input_purpose() [2/2]

Glib::PropertyProxy_ReadOnly< InputPurpose > Gtk::Entry::property_input_purpose | ( |  | ) | const

The purpose of this text field.

This property can be used by on-screen keyboards and other input methods to adjust their behaviour.

Note that setting the purpose to Gtk::INPUT_PURPOSE_PASSWORD or Gtk::INPUT_PURPOSE_PIN is independent from setting Gtk::Entry::property_visibility().

Since gtkmm 3.6:

Default value: Gtk::INPUT_PURPOSE_FREE_FORM

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char() [1/2]

Glib::PropertyProxy< gunichar > Gtk::Entry::property_invisible_char | ( |  | ) |

The invisible character is used when masking entry contents (in \"password mode\\")").

When it is not explicitly set with the Gtk::Entry::property_invisible_char() property, GTK+ determines the character to use from a list of possible candidates, depending on availability in the current font.

This style property allows the theme to prepend a character to the list of candidates.

Since gtkmm 2.18:

Default value: 42

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char() [2/2]

Glib::PropertyProxy_ReadOnly< gunichar > Gtk::Entry::property_invisible_char | ( |  | ) | const

The invisible character is used when masking entry contents (in \"password mode\\")").

When it is not explicitly set with the Gtk::Entry::property_invisible_char() property, GTK+ determines the character to use from a list of possible candidates, depending on availability in the current font.

This style property allows the theme to prepend a character to the list of candidates.

Since gtkmm 2.18:

Default value: 42

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char_set() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_invisible_char_set | ( |  | ) |

Whether the invisible char has been set for the Gtk::Entry.

Since gtkmm 2.16:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_invisible_char_set | ( |  | ) | const

Whether the invisible char has been set for the Gtk::Entry.

Since gtkmm 2.16:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_length() [1/2]

Glib::PropertyProxy< int > Gtk::Entry::property_max_length | ( |  | ) |

Maximum number of characters for this entry.

Zero if no maximum.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_length() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_max_length | ( |  | ) | const

Maximum number of characters for this entry.

Zero if no maximum.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_width_chars() [1/2]

Glib::PropertyProxy< int > Gtk::Entry::property_max_width_chars | ( |  | ) |

The desired maximum width of the entry, in characters.

If this property is set to -1, the width will be calculated automatically.

Since gtkmm 3.12:

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_width_chars() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_max_width_chars | ( |  | ) | const

The desired maximum width of the entry, in characters.

If this property is set to -1, the width will be calculated automatically.

Since gtkmm 3.12:

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_overwrite_mode() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_overwrite_mode | ( |  | ) |

If text is overwritten when typing in the Gtk::Entry.

Since gtkmm 2.14:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_overwrite_mode() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_overwrite_mode | ( |  | ) | const

If text is overwritten when typing in the Gtk::Entry.

Since gtkmm 2.14:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_placeholder_text() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_placeholder_text | ( |  | ) |

The text that will be displayed in the Gtk::Entry when it is empty and unfocused.

Since gtkmm 3.2:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_placeholder_text() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_placeholder_text | ( |  | ) | const

The text that will be displayed in the Gtk::Entry when it is empty and unfocused.

Since gtkmm 3.2:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_populate_all() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_populate_all | ( |  | ) |

If :populate-all is `true`, the Gtk::Entry::signal_populate_popup() signal is also emitted for touch popups.

Since gtkmm 3.8:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_populate_all() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_populate_all | ( |  | ) | const

If :populate-all is `true`, the Gtk::Entry::signal_populate_popup() signal is also emitted for touch popups.

Since gtkmm 3.8:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_activatable() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_activatable | ( |  | ) |

Whether the primary icon is activatable.

GTK+ emits the Gtk::Entry::signal_icon_press() and Gtk::Entry::signal_icon_release() signals only on sensitive, activatable icons.

Sensitive, but non-activatable icons can be used for purely informational purposes.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_activatable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_activatable | ( |  | ) | const

Whether the primary icon is activatable.

GTK+ emits the Gtk::Entry::signal_icon_press() and Gtk::Entry::signal_icon_release() signals only on sensitive, activatable icons.

Sensitive, but non-activatable icons can be used for purely informational purposes.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_gicon() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > Gtk::Entry::property_primary_icon_gicon | ( |  | ) |

The Gio::Icon to use for the primary icon for the entry.

Since gtkmm 2.16:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_gicon() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > Gtk::Entry::property_primary_icon_gicon | ( |  | ) | const

The Gio::Icon to use for the primary icon for the entry.

Since gtkmm 2.16:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_primary_icon_name | ( |  | ) |

The icon name to use for the primary icon for the entry.

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_primary_icon_name | ( |  | ) | const

The icon name to use for the primary icon for the entry.

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_pixbuf() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > Gtk::Entry::property_primary_icon_pixbuf | ( |  | ) |

A pixbuf to use as the primary icon for the entry.

Since gtkmm 2.16:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_pixbuf() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > Gtk::Entry::property_primary_icon_pixbuf | ( |  | ) | const

A pixbuf to use as the primary icon for the entry.

Since gtkmm 2.16:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_sensitive() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_sensitive | ( |  | ) |

Whether the primary icon is sensitive.

An insensitive icon appears grayed out. GTK+ does not emit the Gtk::Entry::signal_icon_press() and Gtk::Entry::signal_icon_release() signals and does not allow DND from insensitive icons.

An icon should be set insensitive if the action that would trigger when clicked is currently not available.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_sensitive() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_sensitive | ( |  | ) | const

Whether the primary icon is sensitive.

An insensitive icon appears grayed out. GTK+ does not emit the Gtk::Entry::signal_icon_press() and Gtk::Entry::signal_icon_release() signals and does not allow DND from insensitive icons.

An icon should be set insensitive if the action that would trigger when clicked is currently not available.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_stock() [1/2]

Glib::PropertyProxy< StockID > Gtk::Entry::property_primary_icon_stock | ( |  | ) |

The stock id to use for the primary icon for the entry.

Since gtkmm 2.16:

Deprecated: 3.10: Use Gtk::Entry::property_primary_icon_name() instead.

Deprecated:
  Use property_primary_icon_name() instead.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_stock() [2/2]

Glib::PropertyProxy_ReadOnly< StockID > Gtk::Entry::property_primary_icon_stock | ( |  | ) | const

The stock id to use for the primary icon for the entry.

Since gtkmm 2.16:

Deprecated: 3.10: Use Gtk::Entry::property_primary_icon_name() instead.

Deprecated:
  Use property_primary_icon_name() instead.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_storage_type()

Glib::PropertyProxy_ReadOnly< ImageType > Gtk::Entry::property_primary_icon_storage_type | ( |  | ) | const

The representation which is used for the primary icon of the entry.

Since gtkmm 2.16:

Default value: Gtk::IMAGE_EMPTY

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_markup() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_tooltip_markup | ( |  | ) |

The contents of the tooltip on the primary icon, which is marked up with the [Pango text markup language][PangoMarkupFormat].

Also see Gtk::Entry::set_icon_tooltip_markup().

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_markup() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_tooltip_markup | ( |  | ) | const

The contents of the tooltip on the primary icon, which is marked up with the [Pango text markup language][PangoMarkupFormat].

Also see Gtk::Entry::set_icon_tooltip_markup().

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_text() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_tooltip_text | ( |  | ) |

The contents of the tooltip on the primary icon.

Also see Gtk::Entry::set_icon_tooltip_text().

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_text() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_tooltip_text | ( |  | ) | const

The contents of the tooltip on the primary icon.

Also see Gtk::Entry::set_icon_tooltip_text().

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_fraction() [1/2]

Glib::PropertyProxy< double > Gtk::Entry::property_progress_fraction | ( |  | ) |

The current fraction of the task that's been completed.

Since gtkmm 2.16:

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_fraction() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::Entry::property_progress_fraction | ( |  | ) | const

The current fraction of the task that's been completed.

Since gtkmm 2.16:

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_pulse_step() [1/2]

Glib::PropertyProxy< double > Gtk::Entry::property_progress_pulse_step | ( |  | ) |

The fraction of total entry width to move the progress bouncing block for each call to Gtk::Entry::progress_pulse().

Since gtkmm 2.16:

Default value: 0.1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_pulse_step() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::Entry::property_progress_pulse_step | ( |  | ) | const

The fraction of total entry width to move the progress bouncing block for each call to Gtk::Entry::progress_pulse().

Since gtkmm 2.16:

Default value: 0.1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scroll_offset()

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_scroll_offset | ( |  | ) | const

Number of pixels of the entry scrolled off the screen to the left.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_activatable() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_activatable | ( |  | ) |

Whether the secondary icon is activatable.

GTK+ emits the Gtk::Entry::signal_icon_press() and Gtk::Entry::signal_icon_release() signals only on sensitive, activatable icons.

Sensitive, but non-activatable icons can be used for purely informational purposes.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_activatable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_activatable | ( |  | ) | const

Whether the secondary icon is activatable.

GTK+ emits the Gtk::Entry::signal_icon_press() and Gtk::Entry::signal_icon_release() signals only on sensitive, activatable icons.

Sensitive, but non-activatable icons can be used for purely informational purposes.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_gicon() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > Gtk::Entry::property_secondary_icon_gicon | ( |  | ) |

The Gio::Icon to use for the secondary icon for the entry.

Since gtkmm 2.16:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_gicon() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > Gtk::Entry::property_secondary_icon_gicon | ( |  | ) | const

The Gio::Icon to use for the secondary icon for the entry.

Since gtkmm 2.16:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_secondary_icon_name | ( |  | ) |

The icon name to use for the secondary icon for the entry.

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_secondary_icon_name | ( |  | ) | const

The icon name to use for the secondary icon for the entry.

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_pixbuf() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > Gtk::Entry::property_secondary_icon_pixbuf | ( |  | ) |

An pixbuf to use as the secondary icon for the entry.

Since gtkmm 2.16:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_pixbuf() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > Gtk::Entry::property_secondary_icon_pixbuf | ( |  | ) | const

An pixbuf to use as the secondary icon for the entry.

Since gtkmm 2.16:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_sensitive() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_sensitive | ( |  | ) |

Whether the secondary icon is sensitive.

An insensitive icon appears grayed out. GTK+ does not emit the Gtk::Entry::signal_icon_press() and Gtk::Entry::signal_icon_release() signals and does not allow DND from insensitive icons.

An icon should be set insensitive if the action that would trigger when clicked is currently not available.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_sensitive() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_sensitive | ( |  | ) | const

Whether the secondary icon is sensitive.

An insensitive icon appears grayed out. GTK+ does not emit the Gtk::Entry::signal_icon_press() and Gtk::Entry::signal_icon_release() signals and does not allow DND from insensitive icons.

An icon should be set insensitive if the action that would trigger when clicked is currently not available.

Since gtkmm 2.16:

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_stock() [1/2]

Glib::PropertyProxy< StockID > Gtk::Entry::property_secondary_icon_stock | ( |  | ) |

The stock id to use for the secondary icon for the entry.

Since gtkmm 2.16:

Deprecated: 3.10: Use Gtk::Entry::property_secondary_icon_name() instead.

Deprecated:
  Use property_secondary_icon_name() instead.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_stock() [2/2]

Glib::PropertyProxy_ReadOnly< StockID > Gtk::Entry::property_secondary_icon_stock | ( |  | ) | const

The stock id to use for the secondary icon for the entry.

Since gtkmm 2.16:

Deprecated: 3.10: Use Gtk::Entry::property_secondary_icon_name() instead.

Deprecated:
  Use property_secondary_icon_name() instead.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_storage_type()

Glib::PropertyProxy_ReadOnly< ImageType > Gtk::Entry::property_secondary_icon_storage_type | ( |  | ) | const

The representation which is used for the secondary icon of the entry.

Since gtkmm 2.16:

Default value: Gtk::IMAGE_EMPTY

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_markup() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_tooltip_markup | ( |  | ) |

The contents of the tooltip on the secondary icon, which is marked up with the [Pango text markup language][PangoMarkupFormat].

Also see Gtk::Entry::set_icon_tooltip_markup().

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_markup() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_tooltip_markup | ( |  | ) | const

The contents of the tooltip on the secondary icon, which is marked up with the [Pango text markup language][PangoMarkupFormat].

Also see Gtk::Entry::set_icon_tooltip_markup().

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_text() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_tooltip_text | ( |  | ) |

The contents of the tooltip on the secondary icon.

Also see Gtk::Entry::set_icon_tooltip_text().

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_text() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_tooltip_text | ( |  | ) | const

The contents of the tooltip on the secondary icon.

Also see Gtk::Entry::set_icon_tooltip_text().

Since gtkmm 2.16:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_selection_bound()

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_selection_bound | ( |  | ) | const

The position of the opposite end of the selection from the cursor in chars.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_shadow_type() [1/2]

Glib::PropertyProxy< ShadowType > Gtk::Entry::property_shadow_type | ( |  | ) |

Which kind of shadow to draw around the entry when Gtk::Entry::property_has_frame() is set to `true`.

Deprecated: 3.20: Use CSS to determine the style of the border; the value of this style property is ignored.

Since gtkmm 2.12:

Deprecated:
  This property is ignored. Use CSS to determine the style of the border.

Default value: Gtk::SHADOW_IN

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_shadow_type() [2/2]

Glib::PropertyProxy_ReadOnly< ShadowType > Gtk::Entry::property_shadow_type | ( |  | ) | const

Which kind of shadow to draw around the entry when Gtk::Entry::property_has_frame() is set to `true`.

Deprecated: 3.20: Use CSS to determine the style of the border; the value of this style property is ignored.

Since gtkmm 2.12:

Deprecated:
  This property is ignored. Use CSS to determine the style of the border.

Default value: Gtk::SHADOW_IN

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs() [1/2]

Glib::PropertyProxy< Pango::TabArray > Gtk::Entry::property_tabs | ( |  | ) |

A list of tabstop locations to apply to the text of the entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::TabArray > Gtk::Entry::property_tabs | ( |  | ) | const

A list of tabstop locations to apply to the text of the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_text | ( |  | ) |

The contents of the entry.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_text | ( |  | ) | const

The contents of the entry.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_length()

Glib::PropertyProxy_ReadOnly< guint > Gtk::Entry::property_text_length | ( |  | ) | const

The length of the text in the Gtk::Entry.

Since gtkmm 2.14:

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_truncate_multiline() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_truncate_multiline | ( |  | ) |

When `true`, pasted multi-line text is truncated to the first line.

Since gtkmm 2.10:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_truncate_multiline() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_truncate_multiline | ( |  | ) | const

When `true`, pasted multi-line text is truncated to the first line.

Since gtkmm 2.10:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_visibility() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_visibility | ( |  | ) |

`false` displays the 'invisible char' instead of the actual text (password mode).

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_visibility() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_visibility | ( |  | ) | const

`false` displays the 'invisible char' instead of the actual text (password mode).

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_width_chars() [1/2]

Glib::PropertyProxy< int > Gtk::Entry::property_width_chars | ( |  | ) |

Number of characters to leave space for in the entry.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_width_chars() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_width_chars | ( |  | ) | const

Number of characters to leave space for in the entry.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_xalign() [1/2]

Glib::PropertyProxy< float > Gtk::Entry::property_xalign | ( |  | ) |

The horizontal alignment, from 0 (left) to 1 (right).

Reversed for RTL layouts.

Since gtkmm 2.4:

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_xalign() [2/2]

Glib::PropertyProxy_ReadOnly< float > Gtk::Entry::property_xalign | ( |  | ) | const

The horizontal alignment, from 0 (left) to 1 (right).

Reversed for RTL layouts.

Since gtkmm 2.4:

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ reset_im_context()

void Gtk::Entry::reset_im_context | ( |  | ) |

Reset the input method context of the entry if needed.

This can be necessary in the case where modifying the buffer would confuse on-going input method behavior.

Since gtkmm 2.22:

## ◆ set_activates_default()

void Gtk::Entry::set_activates_default | ( | bool | setting = `true` | ) |

If setting is `true`, pressing Enter in the entry will activate the default widget for the window containing the entry.

This usually means that the dialog box containing the entry will be closed, since the default widget is usually one of the dialog buttons.

(For experts: if setting is `true`, the entry calls Gtk::Window::activate_default() on the window containing the entry, in the default handler for the Gtk::Entry::signal_activate() signal.)

Parameters

  setting | `true` to activate window’s default widget on Enter keypress.

## ◆ set_alignment() [1/2]

void Gtk::Entry::set_alignment | ( | Align | xalign | ) |

Sets the alignment for the contents of the entry.

This controls the horizontal positioning of the contents when the displayed text is shorter than the width of the entry.

Since gtkmm 2.4:

Parameters

  xalign | The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

## ◆ set_alignment() [2/2]

void Gtk::Entry::set_alignment | ( | float | xalign | ) |

Sets the alignment for the contents of the entry.

This controls the horizontal positioning of the contents when the displayed text is shorter than the width of the entry.

Since gtkmm 2.4:

Parameters

  xalign | The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

## ◆ set_attributes()

void Gtk::Entry::set_attributes | ( | Pango::AttrList & | attrs | ) |

Sets a Pango::AttrList; the attributes in the list are applied to the entry text.

Since gtkmm 3.6:

Parameters

  attrs | A Pango::AttrList.

## ◆ set_buffer()

void Gtk::Entry::set_buffer | ( | const Glib::RefPtr< EntryBuffer > & | buffer | ) |

Set the Gtk::EntryBuffer object which holds the text for this widget.

Since gtkmm 2.18:

Parameters

  buffer | A Gtk::EntryBuffer.

## ◆ set_completion()

void Gtk::Entry::set_completion | ( | const Glib::RefPtr< EntryCompletion > & | completion | ) |

Sets completion to be the auxiliary completion object to use with entry.

All further configuration of the completion mechanism is done on completion using the Gtk::EntryCompletion API. Completion is disabled if completion is set to `nullptr`.

Since gtkmm 2.4:

Parameters

  completion | The Gtk::EntryCompletion or `nullptr`.

## ◆ set_cursor_hadjustment()

void Gtk::Entry::set_cursor_hadjustment | ( | const Glib::RefPtr< Adjustment > & | adjustment | ) |

Hooks up an adjustment to the cursor position in an entry, so that when the cursor is moved, the adjustment is scrolled to show that position.

See Gtk::ScrolledWindow::get_hadjustment() for a typical way of obtaining the adjustment.

The adjustment has to be in pixel units and in the same coordinate system as the entry.

Since gtkmm 2.12:

Parameters

  adjustment | An adjustment which should be adjusted when the cursor is moved, or `nullptr`.

## ◆ set_has_frame()

void Gtk::Entry::set_has_frame | ( | bool | setting = `true` | ) |

Sets whether the entry has a beveled frame around it.

Parameters

  setting | New value.

## ◆ set_icon_activatable()

void Gtk::Entry::set_icon_activatable | ( | bool | activatable = `true`,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets whether the icon is activatable.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.
  activatable | `true` if the icon should be activatable.

## ◆ set_icon_drag_source()

void Gtk::Entry::set_icon_drag_source | ( | const Glib::RefPtr< TargetList > & | target_list,
|  | Gdk::DragAction | actions = `Gdk::ACTION_COPY`,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets up the icon at the given position so that GTK+ will start a drag operation when the user clicks and drags the icon.

To handle the drag operation, you need to connect to the usual Gtk::Widget::signal_drag_data_get() (or possibly Gtk::Widget::signal_drag_data_delete()) signal, and use get_current_icon_drag_source() in your signal handler to find out if the drag was started from an icon.

By default, GTK+ uses the icon as the drag icon. You can use the Gtk::Widget::signal_drag_begin() signal to set a different icon. Note that you have to use Glib::signal_connect_after() to ensure that your signal handler gets executed after the default handler.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.
  target_list | The targets (data formats) in which the data can be provided.
  actions | A bitmask of the allowed drag actions.

## ◆ set_icon_from_gicon()

void Gtk::Entry::set_icon_from_gicon | ( | const Glib::RefPtr< Gio::Icon > & | icon,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets the icon shown in the entry at the specified position from the current icon theme.

If the icon isn’t known, a “broken image” icon will be displayed instead.

If icon is `nullptr`, no icon will be shown in the specified position.

Since gtkmm 2.16:

Parameters

  icon_pos | The position at which to set the icon.
  icon | The icon to set, or `nullptr`.

## ◆ set_icon_from_icon_name()

void Gtk::Entry::set_icon_from_icon_name | ( | const Glib::ustring & | icon_name,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets the icon shown in the entry at the specified position from the current icon theme.

If the icon name isn’t known, a “broken image” icon will be displayed instead.

If icon_name is `nullptr`, no icon will be shown in the specified position.

Since gtkmm 2.16:

Parameters

  icon_pos | The position at which to set the icon.
  icon_name | An icon name, or `nullptr`.

## ◆ set_icon_from_pixbuf()

void Gtk::Entry::set_icon_from_pixbuf | ( | const Glib::RefPtr< Gdk::Pixbuf > & | pixbuf,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets the icon shown in the specified position using a pixbuf.

If pixbuf is `nullptr`, no icon will be shown in the specified position.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.
  pixbuf | A Gdk::Pixbuf, or `nullptr`.

## ◆ set_icon_from_stock()

void Gtk::Entry::set_icon_from_stock | ( | const StockID & | stock_id,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets the icon shown in the entry at the specified position from a stock image.

If stock_id is `nullptr`, no icon will be shown in the specified position.

Since gtkmm 2.16:

Deprecated: 3.10: Use set_icon_from_icon_name() instead.

Deprecated:
  Use set_icon_from_icon_name() instead.

Parameters

  icon_pos | Icon position.
  stock_id | The name of the stock item, or `nullptr`.

## ◆ set_icon_sensitive()

void Gtk::Entry::set_icon_sensitive | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`,
|  | bool | sensitive = `true`
| ) |  |

Sets the sensitivity for the specified icon.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.
  sensitive | Specifies whether the icon should appear sensitive or insensitive.

## ◆ set_icon_tooltip_markup()

void Gtk::Entry::set_icon_tooltip_markup | ( | const Glib::ustring & | tooltip,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets tooltip as the contents of the tooltip for the icon at the specified position.

tooltip is assumed to be marked up with the [Pango text markup language][PangoMarkupFormat].

Use `nullptr` for tooltip to remove an existing tooltip.

See also Gtk::Widget::set_tooltip_markup() and set_icon_tooltip_text().

Since gtkmm 2.16:

Parameters

  icon_pos | The icon position.
  tooltip | The contents of the tooltip for the icon, or `nullptr`.

## ◆ set_icon_tooltip_text()

void Gtk::Entry::set_icon_tooltip_text | ( | const Glib::ustring & | tooltip,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets tooltip as the contents of the tooltip for the icon at the specified position.

Use `nullptr` for tooltip to remove an existing tooltip.

See also Gtk::Widget::set_tooltip_text() and set_icon_tooltip_markup().

If you unset the widget tooltip via Gtk::Widget::set_tooltip_text() or Gtk::Widget::set_tooltip_markup(), this sets GtkWidget:has-tooltip to `false`, which suppresses icon tooltips too. You can resolve this by then calling Gtk::Widget::set_has_tooltip() to set GtkWidget:has-tooltip back to `true`, or setting at least one non-empty tooltip on any icon achieves the same result.

Since gtkmm 2.16:

Parameters

  icon_pos | The icon position.
  tooltip | The contents of the tooltip for the icon, or `nullptr`.

## ◆ set_inner_border()

void Gtk::Entry::set_inner_border | ( | const Border & | border | ) |

Sets entry’s inner-border property to border, or clears it if `nullptr` is passed.

The inner-border is the area around the entry’s text, but inside its frame.

If set, this property overrides the inner-border style property. Overriding the style-provided border is useful when you want to do in-place editing of some text in a canvas or list widget, where pixel-exact positioning of the entry is important.

Since gtkmm 2.10:

Deprecated: 3.4: Use the standard border and padding CSS properties (through objects like Gtk::StyleContext and Gtk::CssProvider); the value set with this function is ignored by Gtk::Entry.

Deprecated:
  Use the standard border and padding CSS properties instead (through classes like StyleContext and CssProvider).

Parameters

  border | A Gtk::Border, or `nullptr`.

## ◆ set_input_hints()

void Gtk::Entry::set_input_hints | ( | InputHints | hints | ) |

Sets the Gtk::Entry::property_input_hints() property, which allows input methods to fine-tune their behaviour.

Since gtkmm 3.6:

Parameters

  hints | The hints.

## ◆ set_input_purpose()

void Gtk::Entry::set_input_purpose | ( | InputPurpose | purpose | ) |

Sets the Gtk::Entry::property_input_purpose() property which can be used by on-screen keyboards and other input methods to adjust their behaviour.

Since gtkmm 3.6:

Parameters

  purpose | The purpose.

## ◆ set_invisible_char()

void Gtk::Entry::set_invisible_char | ( | gunichar | ch | ) |

Sets the character to use in place of the actual text when set_visibility() has been called to set text visibility to `false`.

i.e. this is the character used in “password mode” to show the user how many characters have been typed. By default, GTK+ picks the best invisible char available in the current font. If you set the invisible char to 0, then the user will get no feedback at all; there will be no text on the screen as they type.

Parameters

  ch | A Unicode character.

## ◆ set_max_length()

void Gtk::Entry::set_max_length | ( | int | max | ) |

Sets the maximum allowed length of the contents of the widget.

If the current contents are longer than the given length, then they will be truncated to fit.

This is equivalent to getting entry's Gtk::EntryBuffer and calling Gtk::EntryBuffer::set_max_length() on it. ]|

Parameters

  max | The maximum length of the entry, or 0 for no maximum. (other than the maximum length of entries.) The value passed in will be clamped to the range 0-65536.

## ◆ set_max_width_chars()

void Gtk::Entry::set_max_width_chars | ( | int | n_chars | ) |

Sets the desired maximum width in characters of entry.

Since gtkmm 3.12:

Parameters

  n_chars | The new desired maximum width, in characters.

## ◆ set_overwrite_mode()

void Gtk::Entry::set_overwrite_mode | ( | bool | overwrite = `true` | ) |

Sets whether the text is overwritten when typing in the Gtk::Entry.

Since gtkmm 2.14:

Parameters

  overwrite | New value.

## ◆ set_placeholder_text()

void Gtk::Entry::set_placeholder_text | ( | const Glib::ustring & | text | ) |

Sets text to be displayed in entry when it is empty and unfocused.

This can be used to give a visual hint of the expected contents of the Gtk::Entry.

Note that since the placeholder text gets removed when the entry received focus, using this feature is a bit problematic if the entry is given the initial focus in a window. Sometimes this can be worked around by delaying the initial focus setting until the first key event arrives.

Since gtkmm 3.2:

Parameters

  text | A string to be displayed when entry is empty and unfocused, or `nullptr`.

## ◆ set_progress_fraction()

void Gtk::Entry::set_progress_fraction | ( | double | fraction | ) |

Causes the entry’s progress indicator to “fill in” the given fraction of the bar.

The fraction should be between 0.0 and 1.0, inclusive.

Since gtkmm 2.16:

Parameters

  fraction | Fraction of the task that’s been completed.

## ◆ set_progress_pulse_step()

void Gtk::Entry::set_progress_pulse_step | ( | double | fraction | ) |

Sets the fraction of total entry width to move the progress bouncing block for each call to progress_pulse().

Since gtkmm 2.16:

Parameters

  fraction | Fraction between 0.0 and 1.0.

## ◆ set_tabs()

void Gtk::Entry::set_tabs | ( | const Pango::TabArray & | tabs | ) |

Sets a Pango::TabArray; the tabstops in the array are applied to the entry text.

Since gtkmm 3.10:

Parameters

  tabs | A Pango::TabArray.

## ◆ set_text()

void Gtk::Entry::set_text | ( | const Glib::ustring & | text | ) |

Sets the text in the widget to the given value, replacing the current contents.

See Gtk::EntryBuffer::set_text().

Parameters

  text | The new text.

## ◆ set_visibility()

void Gtk::Entry::set_visibility | ( | bool | visible = `true` | ) |

Sets whether the contents of the entry are visible or not.

When visibility is set to `false`, characters are displayed as the invisible char, and will also appear that way when the text in the entry widget is copied elsewhere.

By default, GTK+ picks the best invisible character available in the current font, but it can be changed with set_invisible_char().

Note that you probably want to set Gtk::Entry::property_input_purpose() to Gtk::INPUT_PURPOSE_PASSWORD or Gtk::INPUT_PURPOSE_PIN to inform input methods about the purpose of this entry, in addition to setting visibility to `false`.

Parameters

  visible | `true` if the contents of the entry are displayed as plaintext.

## ◆ set_width_chars()

void Gtk::Entry::set_width_chars | ( | int | n_chars | ) |

Changes the size request of the entry to be about the right size for n_chars characters.

Note that it changes the size request, the size can still be affected by how you pack the widget into containers. If n_chars is -1, the size reverts to the default entry size.

Parameters

  n_chars | Width in chars.

## ◆ signal_activate()

Glib::SignalProxy< void > Gtk::Entry::signal_activate | ( |  | ) |

Slot Prototype:
  `void on_my_activate()`

Flags: Run Last, Action

The signal_activate() signal is emitted when the user hits the Enter key.

While this signal is used as a [keybinding signal][GtkBindingSignal], it is also commonly used by applications to intercept activation of entries.

The default bindings for this signal are all forms of the Enter key.

## ◆ signal_icon_press()

Glib::SignalProxy< void, EntryIconPosition, const GdkEventButton * > Gtk::Entry::signal_icon_press | ( |  | ) |

Slot Prototype:
  `void on_my_icon_press(EntryIconPosition icon_position, const GdkEventButton* event)`

Flags: Run Last

The signal_icon_press() signal is emitted when an activatable icon is clicked.

Since gtkmm 2.16:

Parameters

  icon_position | The position of the clicked icon.
  event | The button press event.

## ◆ signal_icon_release()

Glib::SignalProxy< void, EntryIconPosition, const GdkEventButton * > Gtk::Entry::signal_icon_release | ( |  | ) |

Slot Prototype:
  `void on_my_icon_release(EntryIconPosition icon_position, const GdkEventButton* event)`

Flags: Run Last

The signal_icon_release() signal is emitted on the button release from a mouse click over an activatable icon.

Since gtkmm 2.16:

Parameters

  icon_position | The position of the clicked icon.
  event | The button release event.

## ◆ signal_insert_at_cursor()

Glib::SignalProxy< void, const Glib::ustring & > Gtk::Entry::signal_insert_at_cursor | ( |  | ) |

Slot Prototype:
  `void on_my_insert_at_cursor(const Glib::ustring& str)`

Flags: Run Last, Action

The signal_insert_at_cursor() signal is a [keybinding signal][GtkBindingSignal] which gets emitted when the user initiates the insertion of a fixed string at the cursor.

This signal has no default bindings.

Parameters

  str | The string to insert.

## ◆ signal_populate_popup()

Glib::SignalProxy< void, Menu * > Gtk::Entry::signal_populate_popup | ( |  | ) |

Slot Prototype:
  `void on_my_populate_popup(Menu* menu)`

Flags: Run Last

The signal_populate_popup() signal gets emitted before showing the context menu of the entry.

If you need to add items to the context menu, connect to this signal and append your items to the menu, which will be a Gtk::Menu in this case.

If Gtk::Entry::property_populate_all() is `true`, this signal will also be emitted to populate touch popups. In this case, menu will be a different container, e.g. a Gtk::Toolbar. The signal handler should not make assumptions about the type of menu.

Parameters

  menu | The container that is being populated.

## ◆ text_index_to_layout_index()

int Gtk::Entry::text_index_to_layout_index | ( | int | text_index | ) | const

Converts from a position in the entry contents (returned by get_text()) to a position in the entry’s Pango::Layout (returned by get_layout(), with text retrieved via pango_layout_get_text()).

Parameters

  text_index | Byte index into the entry contents.

Returns
  Byte index into the entry layout text.

## ◆ unset_icon()

void Gtk::Entry::unset_icon | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) |

Do not show any icon in the specified position.

See set_icon_from_pixbuf(), set_icon_from_stock(), set_icon_from_icon_name(), and set_icon_from_gicon().

Parameters

  icon_pos | The icon position.

Since gtkmm 3.0:

## ◆ unset_invisible_char()

void Gtk::Entry::unset_invisible_char | ( |  | ) |

Unsets the invisible char previously set with set_invisible_char().

So that the default invisible char is used again.

Since gtkmm 2.16:

## Friends And Related Function Documentation

## ◆ wrap()

Gtk::Entry * wrap | ( | GtkEntry * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.